gcl (2.6.12-86) unstable; urgency=medium

  * Version_2_6_13pre83

 -- Camm Maguire <camm@debian.org>  Tue, 02 Apr 2019 19:57:15 +0000

gcl (2.6.12-85) unstable; urgency=medium

  * Version_2_6_13pre82

 -- Camm Maguire <camm@debian.org>  Thu, 28 Mar 2019 18:48:55 +0000

gcl (2.6.12-84) unstable; urgency=medium

  * Version_2_6_13pre80

 -- Camm Maguire <camm@debian.org>  Thu, 21 Mar 2019 18:59:40 +0000

gcl (2.6.12-83) unstable; urgency=high

  * Version_2_6_13pre79
  * Fix acl2 arm builds (Closes: #919477).

 -- Camm Maguire <camm@debian.org>  Tue, 05 Feb 2019 21:54:42 +0000

gcl (2.6.12-82) unstable; urgency=high

  * Version_2_6_13pre74

 -- Camm Maguire <camm@debian.org>  Sat, 02 Feb 2019 17:40:20 +0000

gcl (2.6.12-81) unstable; urgency=high

  * Version_2_6_13pre72
  * Fix to ppc64el for acl2 FTBFS bug

 -- Camm Maguire <camm@debian.org>  Mon, 21 Jan 2019 16:40:36 +0000

gcl (2.6.12-80) unstable; urgency=medium

  * Version_2_6_13pre71
  * Bug fix: "FTBFS on hppa - segmentation fault assembling gbc.s", thanks
    to John David Anglin (Closes: #912071).

 -- Camm Maguire <camm@debian.org>  Tue, 30 Oct 2018 17:20:43 +0000

gcl (2.6.12-79) unstable; urgency=medium

  * Version_2_6_13pre70

 -- Camm Maguire <camm@debian.org>  Mon, 29 Oct 2018 16:52:17 +0000

gcl (2.6.12-78) unstable; urgency=medium

  * rebuild against latest compilers and tools
  * Version_2_6_13pre69

 -- Camm Maguire <camm@debian.org>  Thu, 11 Oct 2018 16:40:48 +0000

gcl (2.6.12-77) unstable; urgency=medium

  * Version_2_6_13pre68
  * Bug fix: "GCL fails to load .o files it generates", thanks to Gong-Yi
    Liao (Closes: #902475).  Add support for R_X86_64_PLT32 relocs.

 -- Camm Maguire <camm@debian.org>  Tue, 24 Jul 2018 20:06:45 +0000

gcl (2.6.12-76) unstable; urgency=medium

  * Version_2_6_13pre67

 -- Camm Maguire <camm@debian.org>  Fri, 23 Mar 2018 19:25:22 +0000

gcl (2.6.12-75) unstable; urgency=medium

  * Version_2_6_13pre65

 -- Camm Maguire <camm@debian.org>  Wed, 21 Mar 2018 20:28:08 +0000

gcl (2.6.12-74) unstable; urgency=medium

  * Version_2_6_13pre63

 -- Camm Maguire <camm@debian.org>  Sat, 17 Mar 2018 11:56:05 +0000

gcl (2.6.12-73) unstable; urgency=medium

  * Version_2_6_13pre62

 -- Camm Maguire <camm@debian.org>  Wed, 14 Mar 2018 15:38:43 +0000

gcl (2.6.12-72) unstable; urgency=medium

  * Version_2_6_13pre61

 -- Camm Maguire <camm@debian.org>  Tue, 13 Mar 2018 15:32:44 +0000

gcl (2.6.12-71) unstable; urgency=medium

  * Version_2_6_13pre60

 -- Camm Maguire <camm@debian.org>  Mon, 12 Mar 2018 19:44:47 +0000

gcl (2.6.12-70) unstable; urgency=medium

  * Version_2_6_13pre59

 -- Camm Maguire <camm@debian.org>  Mon, 12 Mar 2018 16:19:00 +0000

gcl (2.6.12-69) unstable; urgency=medium

  * Version_2_6_13pre58

 -- Camm Maguire <camm@debian.org>  Fri, 09 Mar 2018 17:10:51 +0000

gcl (2.6.12-68) unstable; urgency=medium

  * Version_2_6_13pre57

 -- Camm Maguire <camm@debian.org>  Sun, 04 Mar 2018 13:21:00 +0000

gcl (2.6.12-67) unstable; urgency=medium

  * Version_2_6_13pre55

 -- Camm Maguire <camm@debian.org>  Sat, 03 Mar 2018 14:27:51 +0000

gcl (2.6.12-66) unstable; urgency=medium

  * Version_2_6_13pre54

 -- Camm Maguire <camm@debian.org>  Fri, 02 Mar 2018 21:19:03 +0000

gcl (2.6.12-65) unstable; urgency=medium

  * Version_2_6_13pre52
  * Bug fix: "FTBFS on hurd-i386", thanks to svante.signell@gmail.com</a>;
    (Closes: #802593).

 -- Camm Maguire <camm@debian.org>  Fri, 23 Feb 2018 15:55:23 +0000

gcl (2.6.12-64) unstable; urgency=medium

  * list_order.24

 -- Camm Maguire <camm@debian.org>  Sun, 04 Feb 2018 13:26:27 +0000

gcl (2.6.12-63) unstable; urgency=medium

  * list_order.23

 -- Camm Maguire <camm@debian.org>  Thu, 01 Feb 2018 18:36:29 +0000

gcl (2.6.12-62) unstable; urgency=medium

  * list_order.22

 -- Camm Maguire <camm@debian.org>  Thu, 01 Feb 2018 01:05:10 +0000

gcl (2.6.12-61) unstable; urgency=medium

  * list_order.21

 -- Camm Maguire <camm@debian.org>  Tue, 30 Jan 2018 21:13:13 +0000

gcl (2.6.12-60) unstable; urgency=medium

  * list_order.19

 -- Camm Maguire <camm@debian.org>  Tue, 23 Jan 2018 18:11:59 +0000

gcl (2.6.12-59) unstable; urgency=medium

  * list_order.16

 -- Camm Maguire <camm@debian.org>  Fri, 12 Jan 2018 03:25:08 +0000

gcl (2.6.12-58) unstable; urgency=medium

  * list_order.14

 -- Camm Maguire <camm@debian.org>  Mon, 18 Sep 2017 15:45:10 +0000

gcl (2.6.12-57) unstable; urgency=medium

  * list_order.13

 -- Camm Maguire <camm@debian.org>  Fri, 25 Aug 2017 13:44:10 +0000

gcl (2.6.12-56) unstable; urgency=medium

  * list_order.12

 -- Camm Maguire <camm@debian.org>  Thu, 24 Aug 2017 19:12:50 +0000

gcl (2.6.12-55) unstable; urgency=medium

  * disable gprof on aarch64
  * Bug fix: "gcl FTBFS on arm64: Unrecoverable error: Segmentation
    violation..", thanks to Adrian Bunk (Closes: #873052).

 -- Camm Maguire <camm@debian.org>  Thu, 24 Aug 2017 16:37:07 +0000

gcl (2.6.12-54) unstable; urgency=medium

  * list_order.11

 -- Camm Maguire <camm@debian.org>  Wed, 23 Aug 2017 22:19:14 +0000

gcl (2.6.12-53) unstable; urgency=medium

  * list_order.9

 -- Camm Maguire <camm@debian.org>  Sun, 18 Jun 2017 18:32:30 +0000

gcl (2.6.12-52) unstable; urgency=medium

  * list_order.8

 -- Camm Maguire <camm@debian.org>  Thu, 15 Jun 2017 18:04:41 +0000

gcl (2.6.12-51) unstable; urgency=medium

  * list_order.7

 -- Camm Maguire <camm@debian.org>  Wed, 14 Jun 2017 18:30:46 +0000

gcl (2.6.12-50) unstable; urgency=medium

  * list_order.6

 -- Camm Maguire <camm@debian.org>  Tue, 13 Jun 2017 22:38:52 +0000

gcl (2.6.12-49) unstable; urgency=medium

  * list_order.5

 -- Camm Maguire <camm@debian.org>  Thu, 08 Jun 2017 17:21:01 +0000

gcl (2.6.12-48) unstable; urgency=medium

  * list_order.1

 -- Camm Maguire <camm@debian.org>  Sun, 28 May 2017 01:42:29 +0000

gcl (2.6.12-47) unstable; urgency=high

  * pathnames1.13

 -- Camm Maguire <camm@debian.org>  Tue, 22 Nov 2016 04:53:35 +0000

gcl (2.6.12-46) unstable; urgency=high

  * pathnames1.12
  * Bug fix: "maintainer script(s) do not start on #!", thanks to
    treinen@debian.org</a>; (Closes: #843303).

 -- Camm Maguire <camm@debian.org>  Fri, 18 Nov 2016 18:27:53 +0000

gcl (2.6.12-45) unstable; urgency=high

  * pathnames1.11

 -- Camm Maguire <camm@debian.org>  Mon, 31 Oct 2016 22:57:27 +0000

gcl (2.6.12-44) unstable; urgency=high

  * pathnames1.9

 -- Camm Maguire <camm@debian.org>  Fri, 28 Oct 2016 17:04:38 +0000

gcl (2.6.12-43) unstable; urgency=medium

  * pathnames1.7

 -- Camm Maguire <camm@debian.org>  Thu, 27 Oct 2016 03:46:32 +0000

gcl (2.6.12-42) unstable; urgency=medium

  * pathnames1.6
  * Bug fix: "FTBFS with bindnow and PIE enabled", thanks to Balint Reczey
    (Closes: #837481).
  * Bug fix: "FTBFS with compilers that default to -fPIE (patch
    attached)", thanks to Adam Conrad (Closes: #822820).

 -- Camm Maguire <camm@debian.org>  Wed, 26 Oct 2016 23:04:57 +0000

gcl (2.6.12-41) unstable; urgency=medium

  * pathnames1.4, kfreebsd fix

 -- Camm Maguire <camm@debian.org>  Fri, 14 Oct 2016 01:17:18 +0000

gcl (2.6.12-40) unstable; urgency=medium

  * pathnames1.2
  * Bug fix: "popen arguments not quoted causes trouble and security
    issues", thanks to axel (Closes: #802203).

 -- Camm Maguire <camm@debian.org>  Wed, 12 Oct 2016 18:09:26 +0000

gcl (2.6.12-39) unstable; urgency=medium

  * pathnames1.1
  * ansi-test clean target

 -- Camm Maguire <camm@debian.org>  Wed, 12 Oct 2016 01:32:05 +0000

gcl (2.6.12-38) unstable; urgency=medium

  * Version_2_6_13pre50

 -- Camm Maguire <camm@debian.org>  Tue, 04 Oct 2016 19:45:38 +0000

gcl (2.6.12-37) unstable; urgency=medium

  * Version_2_6_13pre49

 -- Camm Maguire <camm@debian.org>  Mon, 03 Oct 2016 14:54:09 +0000

gcl (2.6.12-36) unstable; urgency=medium

  * Version_2_6_13pre48

 -- Camm Maguire <camm@debian.org>  Sat, 01 Oct 2016 12:10:25 +0000

gcl (2.6.12-35) unstable; urgency=medium

  * Version_2_6_13pre47

 -- Camm Maguire <camm@debian.org>  Fri, 30 Sep 2016 21:21:43 +0000

gcl (2.6.12-34) unstable; urgency=medium

  * Version_2_6_13pre45

 -- Camm Maguire <camm@debian.org>  Fri, 23 Sep 2016 19:42:37 +0000

gcl (2.6.12-33) unstable; urgency=medium

  * Version_2_6_13pre43

 -- Camm Maguire <camm@debian.org>  Tue, 03 May 2016 16:17:03 +0000

gcl (2.6.12-32) unstable; urgency=medium

  * Version_2_6_13pre40
  * Bug fix: "[INTL:pt_BR] Brazilian Portuguese debconf templates
    translation", thanks to Adriano Rafael Gomes (Closes: #811523).

 -- Camm Maguire <camm@debian.org>  Wed, 20 Apr 2016 15:18:35 +0000

gcl (2.6.12-31) unstable; urgency=medium

  * Version_2_6_13pre39

 -- Camm Maguire <camm@debian.org>  Mon, 11 Apr 2016 00:41:11 +0000

gcl (2.6.12-30) unstable; urgency=medium

  * Version_2_6_13pre38

 -- Camm Maguire <camm@debian.org>  Wed, 06 Apr 2016 00:20:15 +0000

gcl (2.6.12-29) unstable; urgency=medium

  * Version_2_6_13pre35; support latest binutils
  * Bug fix: "gcl ftbfs on amd64 and i386 with binutils from
    experimental", thanks to Matthias Klose (Closes: #803214).

 -- Camm Maguire <camm@debian.org>  Thu, 29 Oct 2015 15:20:27 +0000

gcl (2.6.12-28) unstable; urgency=medium

  * Version_2_6_13pre35; restore hppa build

 -- Camm Maguire <camm@debian.org>  Tue, 27 Oct 2015 20:00:46 +0000

gcl (2.6.12-27) unstable; urgency=medium

  * Version_2_6_13pre34; mips64 relocs; stack saving tail-recursive equal.

 -- Camm Maguire <camm@debian.org>  Tue, 27 Oct 2015 16:35:06 +0000

gcl (2.6.12-26) unstable; urgency=medium

  * Version_2_6_13pre32

 -- Camm Maguire <camm@debian.org>  Fri, 23 Oct 2015 00:03:34 +0000

gcl (2.6.12-25) unstable; urgency=medium

  * Version_2_6_13pre31, kfreebsd and mips64 FTBFS fix

 -- Camm Maguire <camm@debian.org>  Fri, 16 Oct 2015 15:03:03 +0000

gcl (2.6.12-24) unstable; urgency=medium

  * Version_2_6_13pre30

 -- Camm Maguire <camm@debian.org>  Fri, 16 Oct 2015 02:44:23 +0000

gcl (2.6.12-23) unstable; urgency=medium

  * Version_2_6_13pre29

 -- Camm Maguire <camm@debian.org>  Thu, 15 Oct 2015 18:09:59 +0000

gcl (2.6.12-22) unstable; urgency=medium

  * Version_2_6_13pre27

 -- Camm Maguire <camm@debian.org>  Tue, 13 Oct 2015 14:38:53 +0000

gcl (2.6.12-21) unstable; urgency=medium

  * Version_2_6_13pre26

 -- Camm Maguire <camm@debian.org>  Wed, 07 Oct 2015 15:14:27 +0000

gcl (2.6.12-20) unstable; urgency=medium

  * Version_2_6_13pre25

 -- Camm Maguire <camm@debian.org>  Thu, 01 Oct 2015 15:16:14 +0000

gcl (2.6.12-19) unstable; urgency=medium

  * Use-dpkg-buidflags-opt-levels-in-debian-rules, -O3 has bug in 5.2.1
  * Version_2_6_13pre24

 -- Camm Maguire <camm@debian.org>  Wed, 30 Sep 2015 15:45:20 +0000

gcl (2.6.12-18) unstable; urgency=medium

  * Version_2_6_13pre22

 -- Camm Maguire <camm@debian.org>  Tue, 29 Sep 2015 16:51:03 +0000

gcl (2.6.12-17) unstable; urgency=medium

  * Version_2_6_13pre20

 -- Camm Maguire <camm@debian.org>  Sat, 26 Sep 2015 10:34:23 -0400

gcl (2.6.12-16) unstable; urgency=medium

  * Version_2_6_13pre19

 -- Camm Maguire <camm@debian.org>  Fri, 25 Sep 2015 18:39:52 -0400

gcl (2.6.12-15) unstable; urgency=medium

  * Version_2_6_13pre18

 -- Camm Maguire <camm@debian.org>  Fri, 25 Sep 2015 15:08:50 +0000

gcl (2.6.12-14) unstable; urgency=medium

  * Version_2_6_13pre17

 -- Camm Maguire <camm@debian.org>  Thu, 28 May 2015 03:37:47 +0000

gcl (2.6.12-13) unstable; urgency=medium

  * Version_2_6_13pre16

 -- Camm Maguire <camm@debian.org>  Fri, 15 May 2015 18:09:38 +0000

gcl (2.6.12-12) unstable; urgency=medium

  * Version_2_6_13pre13

 -- Camm Maguire <camm@debian.org>  Fri, 01 May 2015 11:08:46 -0400

gcl (2.6.12-11) unstable; urgency=medium

  * Version_2_6_13pre12

 -- Camm Maguire <camm@debian.org>  Thu, 30 Apr 2015 12:49:16 -0400

gcl (2.6.12-10) unstable; urgency=medium

  * rebuild in clean sid environment

 -- Camm Maguire <camm@debian.org>  Mon, 27 Apr 2015 15:34:15 -0400

gcl (2.6.12-9) unstable; urgency=medium

  * Version_2_6_13pre8b
  * Bug fix: "ftbfs with GCC-5", thanks to Matthias Klose (Closes:
    #777866).

 -- Camm Maguire <camm@debian.org>  Mon, 27 Apr 2015 12:32:49 -0400

gcl (2.6.12-8) unstable; urgency=medium

  * Version_2_6_13pre7

 -- Camm Maguire <camm@debian.org>  Fri, 24 Apr 2015 13:38:30 -0400

gcl (2.6.12-7) unstable; urgency=medium

  * Version_2_6_13pre6

 -- Camm Maguire <camm@debian.org>  Thu, 23 Apr 2015 13:43:45 -0400

gcl (2.6.12-6) unstable; urgency=medium

  * Version_2_6_13pre5

 -- Camm Maguire <camm@debian.org>  Wed, 22 Apr 2015 17:14:16 -0400

gcl (2.6.12-5) unstable; urgency=medium

  * Version_2_6_13pre4

 -- Camm Maguire <camm@debian.org>  Wed, 22 Apr 2015 10:25:36 -0400

gcl (2.6.12-4) unstable; urgency=medium

  * Version_2_6_13pre3a

 -- Camm Maguire <camm@debian.org>  Mon, 20 Apr 2015 13:26:36 -0400

gcl (2.6.12-3) unstable; urgency=medium

  * Version_2_6_13pre2

 -- Camm Maguire <camm@debian.org>  Fri, 17 Apr 2015 15:50:37 -0400

gcl (2.6.12-2) unstable; urgency=medium

  * Version_2_6_13pre1

 -- Camm Maguire <camm@debian.org>  Wed, 26 Nov 2014 11:12:46 -0500

gcl (2.6.12-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Tue, 28 Oct 2014 09:56:15 -0400

gcl (2.6.11-6) unstable; urgency=medium

  * 2.6.12pre5

 -- Camm Maguire <camm@debian.org>  Thu, 23 Oct 2014 17:33:22 -0400

gcl (2.6.11-5) unstable; urgency=medium

  * 2.6.12pre4

 -- Camm Maguire <camm@debian.org>  Sat, 18 Oct 2014 09:46:34 -0400

gcl (2.6.11-4) unstable; urgency=medium

  * 2.6.12pre3

 -- Camm Maguire <camm@debian.org>  Thu, 16 Oct 2014 11:56:15 -0400

gcl (2.6.11-3) unstable; urgency=medium

  * 2.6.12pre2

 -- Camm Maguire <camm@debian.org>  Sun, 28 Sep 2014 20:56:18 -0400

gcl (2.6.11-2) unstable; urgency=medium

  * 2.6.12pre1

 -- Camm Maguire <camm@debian.org>  Fri, 19 Sep 2014 14:49:25 -0400

gcl (2.6.11-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sat, 06 Sep 2014 12:28:46 -0400

gcl (2.6.10-54) unstable; urgency=medium

  * remove-debug-message-from-BUGGY_MAXIMUM_SSCANF_LENGTH-code

 -- Camm Maguire <camm@debian.org>  Fri, 05 Sep 2014 10:35:46 -0400

gcl (2.6.10-53) unstable; urgency=medium

  * ppc64le-support-headers

 -- Camm Maguire <camm@debian.org>  Wed, 03 Sep 2014 15:02:12 -0400

gcl (2.6.10-52) unstable; urgency=medium

  * accept-TMP-paths-with-types-versions

 -- Camm Maguire <camm@debian.org>  Fri, 29 Aug 2014 17:51:04 -0400

gcl (2.6.10-51) unstable; urgency=medium

  * fix-match-function-proclaim-skew

 -- Camm Maguire <camm@debian.org>  Fri, 29 Aug 2014 16:40:30 +0000

gcl (2.6.10-50) unstable; urgency=medium

  * trial_selinux_support

 -- Camm Maguire <camm@debian.org>  Thu, 21 Aug 2014 17:29:50 +0000

gcl (2.6.10-49) unstable; urgency=medium

  * R_ARM_JUMP24

 -- Camm Maguire <camm@debian.org>  Wed, 20 Aug 2014 17:08:23 +0000

gcl (2.6.10-48) unstable; urgency=medium

  * try-SGC-for-aarch64

 -- Camm Maguire <camm@debian.org>  Tue, 19 Aug 2014 18:35:22 +0000

gcl (2.6.10-47) unstable; urgency=medium

  * set-stack_guard-after-alloc-setup
  * Bug fix: "work around build failure on AArch64", thanks to Matthias
    Klose (Closes: #758101).

 -- Camm Maguire <camm@debian.org>  Thu, 14 Aug 2014 19:36:48 +0000

gcl (2.6.10-46) unstable; urgency=medium

  * R_AARCH64_LDST128_ABS_LO12_NC

 -- Camm Maguire <camm@debian.org>  Wed, 13 Aug 2014 21:39:50 +0000

gcl (2.6.10-45) unstable; urgency=medium

  * fix sh4 CLEAR_CACHE

 -- Camm Maguire <camm@debian.org>  Sun, 10 Aug 2014 20:12:03 +0000

gcl (2.6.10-44) unstable; urgency=medium

  * clear_protect_memory on all elf machines

 -- Camm Maguire <camm@debian.org>  Sat, 09 Aug 2014 00:55:17 +0000

gcl (2.6.10-43) unstable; urgency=medium

  * mips uses builtin_clear_cache like mipsel

 -- Camm Maguire <camm@debian.org>  Fri, 08 Aug 2014 23:42:42 +0000

gcl (2.6.10-42) unstable; urgency=medium

  * backport travel_push_new from master

 -- Camm Maguire <camm@debian.org>  Wed, 06 Aug 2014 20:14:14 +0000

gcl (2.6.10-41) unstable; urgency=medium

  * protos and CFLAGS for axiom extensions

 -- Camm Maguire <camm@debian.org>  Wed, 06 Aug 2014 01:54:38 +0000

gcl (2.6.10-40) unstable; urgency=medium

  * better solaris unexec fix

 -- Camm Maguire <camm@debian.org>  Mon, 04 Aug 2014 22:00:54 +0000

gcl (2.6.10-39) unstable; urgency=medium

  * earlier prelink_init, phys_pages w/o malloc

 -- Camm Maguire <camm@debian.org>  Mon, 04 Aug 2014 16:52:09 +0000

gcl (2.6.10-38) unstable; urgency=medium

  * error on overflow of array dimensions

 -- Camm Maguire <camm@debian.org>  Fri, 01 Aug 2014 14:35:44 +0000

gcl (2.6.10-37) unstable; urgency=medium

  * FILE * casts for windows feof wrapper

 -- Camm Maguire <camm@debian.org>  Thu, 31 Jul 2014 02:17:11 +0000

gcl (2.6.10-36) unstable; urgency=medium

  * better casts for frs_jmpbuf

 -- Camm Maguire <camm@debian.org>  Wed, 30 Jul 2014 17:00:06 +0000

gcl (2.6.10-35) unstable; urgency=medium

  * find_sym_ptable typo fix

 -- Camm Maguire <camm@debian.org>  Tue, 29 Jul 2014 18:08:57 +0000

gcl (2.6.10-34) unstable; urgency=medium

  * --enable-prelink configure arg; stack_chk_guard for 68k

 -- Camm Maguire <camm@debian.org>  Fri, 25 Jul 2014 20:39:10 +0000

gcl (2.6.10-33) unstable; urgency=medium

  * hurd stack_guard, ppc64 C_GC_OFFSET

 -- Camm Maguire <camm@debian.org>  Thu, 24 Jul 2014 21:46:24 +0000

gcl (2.6.10-32) unstable; urgency=medium

  * __stack_chk_guard fix for arm/sh4

 -- Camm Maguire <camm@debian.org>  Wed, 23 Jul 2014 18:12:56 +0000

gcl (2.6.10-31) unstable; urgency=medium

  * dpkg-buildflags trial

 -- Camm Maguire <camm@debian.org>  Tue, 22 Jul 2014 20:06:10 +0000

gcl (2.6.10-30) unstable; urgency=medium

  * fix offsets ppc

 -- Camm Maguire <camm@debian.org>  Tue, 22 Jul 2014 17:12:27 +0000

gcl (2.6.10-29) unstable; urgency=medium

  * fix unexec file offsets

 -- Camm Maguire <camm@debian.org>  Tue, 22 Jul 2014 15:36:45 +0000

gcl (2.6.10-28) unstable; urgency=high

  * enable prelink

 -- Camm Maguire <camm@debian.org>  Fri, 18 Jul 2014 19:24:38 +0000

gcl (2.6.10-27) unstable; urgency=high

  * protect closure calls from gc

 -- Camm Maguire <camm@debian.org>  Wed, 16 Jul 2014 16:15:33 +0000

gcl (2.6.10-26) unstable; urgency=high

  * Bug fix: "packages should not build-depend on binutils-dev", thanks to
    Matthias Klose (Closes: #754840).  Please note that gcl has long
    depended on binutils-dev for good reason -- happily it is no longer
    necessary

 -- Camm Maguire <camm@debian.org>  Tue, 15 Jul 2014 16:04:04 +0000

gcl (2.6.10-25) unstable; urgency=high

  * rebuild to get gcc fixes on i386

 -- Camm Maguire <camm@debian.org>  Fri, 11 Jul 2014 03:14:45 +0000

gcl (2.6.10-24) unstable; urgency=high

  * try default gcc 4.9
  * access libopcodes without link dependency via dlopen
  * Bug fix: "please switch to emacs24", thanks to Gabriele Giacone
    (Closes: #754012).

 -- Camm Maguire <camm@debian.org>  Wed, 09 Jul 2014 17:34:21 +0000

gcl (2.6.10-23) unstable; urgency=high

  * rebuild latest binutils

 -- Camm Maguire <camm@debian.org>  Sat, 05 Jul 2014 23:19:27 +0000

gcl (2.6.10-22) unstable; urgency=high

  * gcc-4.8 on i386, 4.9 has bugs at present

 -- Camm Maguire <camm@debian.org>  Fri, 04 Jul 2014 01:36:06 +0000

gcl (2.6.10-21) unstable; urgency=high

  * 2.6.11pre test 20

 -- Camm Maguire <camm@debian.org>  Mon, 30 Jun 2014 22:43:27 +0000

gcl (2.6.10-20) unstable; urgency=high

  * 2.6.11pre test 19

 -- Camm Maguire <camm@debian.org>  Sun, 29 Jun 2014 17:59:59 +0000

gcl (2.6.10-19) unstable; urgency=high

  * 2.6.11pre test 18

 -- Camm Maguire <camm@debian.org>  Sun, 29 Jun 2014 16:00:07 +0000

gcl (2.6.10-18) unstable; urgency=high

  * 2.6.11pre test 17

 -- Camm Maguire <camm@debian.org>  Sat, 28 Jun 2014 16:57:54 +0000

gcl (2.6.10-17) unstable; urgency=high

  * 2.6.11pre test 16

 -- Camm Maguire <camm@debian.org>  Thu, 26 Jun 2014 18:06:42 +0000

gcl (2.6.10-16) unstable; urgency=high

  * 2.6.11pre test 15

 -- Camm Maguire <camm@debian.org>  Wed, 18 Jun 2014 17:37:36 +0000

gcl (2.6.10-15) unstable; urgency=high

  * 2.6.11pre test 14

 -- Camm Maguire <camm@debian.org>  Tue, 17 Jun 2014 00:39:35 +0000

gcl (2.6.10-14) unstable; urgency=high

  * 2.6.11pre test 13

 -- Camm Maguire <camm@debian.org>  Sat, 14 Jun 2014 13:43:57 +0000

gcl (2.6.10-13) unstable; urgency=high

  * 2.6.11pre test 12

 -- Camm Maguire <camm@debian.org>  Tue, 20 May 2014 16:00:22 +0000

gcl (2.6.10-12) unstable; urgency=high

  * 2.6.11pre test 11

 -- Camm Maguire <camm@debian.org>  Fri, 16 May 2014 17:41:33 +0000

gcl (2.6.10-11) unstable; urgency=high

  * 2.6.11pre test 10

 -- Camm Maguire <camm@debian.org>  Fri, 16 May 2014 13:18:07 +0000

gcl (2.6.10-10) unstable; urgency=high

  * 2.6.11pre test 9

 -- Camm Maguire <camm@debian.org>  Wed, 07 May 2014 17:10:30 +0000

gcl (2.6.10-9) unstable; urgency=high

  * 2.6.11pre test 8

 -- Camm Maguire <camm@debian.org>  Fri, 25 Apr 2014 19:53:10 +0000

gcl (2.6.10-8) unstable; urgency=high

  * 2.6.11pre test 7

 -- Camm Maguire <camm@debian.org>  Mon, 21 Apr 2014 14:09:37 +0000

gcl (2.6.10-7) unstable; urgency=high

  * 2.6.11pre test 6

 -- Camm Maguire <camm@debian.org>  Sat, 19 Apr 2014 17:52:17 +0000

gcl (2.6.10-6) unstable; urgency=high

  * 2.6.11pre test 5

 -- Camm Maguire <camm@debian.org>  Fri, 18 Apr 2014 15:06:09 +0000

gcl (2.6.10-5) unstable; urgency=high

  * 2.6.11pre test 4

 -- Camm Maguire <camm@debian.org>  Tue, 15 Apr 2014 20:30:13 +0000

gcl (2.6.10-4) unstable; urgency=high

  * 2.6.11pre test 3
  * Bug fix: "debian/rules uses DEB_BUILD_* macros instead of DEB_HOST_*
    macros", thanks to Matthias Klose (Closes: #743520).

 -- Camm Maguire <camm@debian.org>  Wed, 09 Apr 2014 13:15:32 +0000

gcl (2.6.10-3) unstable; urgency=high

  * 2.6.11pre test 2

 -- Camm Maguire <camm@debian.org>  Thu, 03 Apr 2014 14:24:23 +0000

gcl (2.6.10-2) unstable; urgency=high

  * 2.6.11pre test 1
  * Bug fix: "FTBFS: gcl_readline.d:472:39: error: &#39;CPPFunction&#39;
    undeclared (first use in this function)", thanks to David Suárez
    (Closes: #741819).

 -- Camm Maguire <camm@debian.org>  Mon, 24 Mar 2014 15:47:01 +0000

gcl (2.6.10-1) unstable; urgency=high

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 13 Nov 2013 18:39:19 +0000

gcl (2.6.9-17) unstable; urgency=high

  * 2.6.10pre test 17

 -- Camm Maguire <camm@debian.org>  Mon, 11 Nov 2013 19:41:45 +0000

gcl (2.6.9-16) unstable; urgency=high

  * 2.6.10pre test 16
  * Bug fix: "gcl 2.6.7+dfsga-20 needs 1 GB disk space on amd64", thanks
    to Edi Meier (Closes: #714507).
  * Bug fix: "[INTL:ja] New Japanese translation", thanks to victory
    (Closes: #718925).

 -- Camm Maguire <camm@debian.org>  Sat, 09 Nov 2013 13:34:32 +0000

gcl (2.6.9-15) unstable; urgency=high

  * 2.6.10pre test 15

 -- Camm Maguire <camm@debian.org>  Sat, 02 Nov 2013 22:21:16 +0000

gcl (2.6.9-14) unstable; urgency=high

  * 2.6.10pre test 14

 -- Camm Maguire <camm@debian.org>  Wed, 23 Oct 2013 17:44:14 +0000

gcl (2.6.9-13) unstable; urgency=high

  * environment allocation unrandomize.h

 -- Camm Maguire <camm@debian.org>  Mon, 21 Oct 2013 00:20:16 +0000

gcl (2.6.9-12) unstable; urgency=high

  * 2.6.10pre test 13

 -- Camm Maguire <camm@debian.org>  Fri, 18 Oct 2013 14:18:17 +0000

gcl (2.6.9-11) unstable; urgency=high

  * 2.6.10pre test 12, s390, mingw cleanup, make_bignum bug fix

 -- Camm Maguire <camm@debian.org>  Tue, 15 Oct 2013 23:32:09 +0000

gcl (2.6.9-10) unstable; urgency=high

  * fast-fixnums

 -- Camm Maguire <camm@debian.org>  Fri, 11 Oct 2013 15:05:58 +0000

gcl (2.6.9-9) unstable; urgency=high

  * 2.6.10pre test 10 and 11

 -- Camm Maguire <camm@debian.org>  Wed, 02 Oct 2013 19:12:36 +0000

gcl (2.6.9-8) unstable; urgency=high

  * 2.6.10pre test 8 and 9

 -- Camm Maguire <camm@debian.org>  Tue, 01 Oct 2013 21:00:19 +0000

gcl (2.6.9-7) unstable; urgency=high

  * 2.6.10pre test 6 and 7

 -- Camm Maguire <camm@debian.org>  Mon, 30 Sep 2013 19:34:38 +0000

gcl (2.6.9-6) unstable; urgency=high

  * 2.6.10pre test 5

 -- Camm Maguire <camm@debian.org>  Tue, 24 Sep 2013 17:03:24 +0000

gcl (2.6.9-5) unstable; urgency=high

  * 2.6.10pre test 4

 -- Camm Maguire <camm@debian.org>  Mon, 23 Sep 2013 19:27:36 +0000

gcl (2.6.9-4) unstable; urgency=high

  * 2.6.10pre test 3

 -- Camm Maguire <camm@debian.org>  Mon, 23 Sep 2013 16:30:09 +0000

gcl (2.6.9-3) unstable; urgency=high

  * 2.6.10pre test 2

 -- Camm Maguire <camm@debian.org>  Sun, 22 Sep 2013 03:27:10 +0000

gcl (2.6.9-2) unstable; urgency=high

  * 2.6.10pre test

 -- Camm Maguire <camm@debian.org>  Sat, 21 Sep 2013 04:14:55 +0000

gcl (2.6.9-1) unstable; urgency=high

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 28 Aug 2013 16:49:18 +0000

gcl (2.6.7+dfsga-40) unstable; urgency=high

  * fix allocate functions

 -- Camm Maguire <camm@debian.org>  Tue, 06 Aug 2013 22:36:37 +0000

gcl (2.6.7+dfsga-39) unstable; urgency=high

  * lower initial contiguous and relblock allocations, set *ihs-top*
    properly on startup, protect memory->cfd.cfd_start initialization from
    gc

 -- Camm Maguire <camm@debian.org>  Mon, 05 Aug 2013 17:38:22 +0000

gcl (2.6.7+dfsga-38) unstable; urgency=high

  * robustify near oom handling to fix axiom compile of EXPEXPAN on mips

 -- Camm Maguire <camm@debian.org>  Fri, 02 Aug 2013 16:25:16 +0000

gcl (2.6.7+dfsga-37) unstable; urgency=high

  * ppc64 gprof fix

 -- Camm Maguire <camm@debian.org>  Fri, 26 Jul 2013 23:40:14 +0000

gcl (2.6.7+dfsga-36) unstable; urgency=high

  * min_pagewidth=14 on mips

 -- Camm Maguire <camm@debian.org>  Fri, 26 Jul 2013 02:20:56 +0000

gcl (2.6.7+dfsga-35) unstable; urgency=high

  * latest gcc on all platforms, no gprof ppc64, -O1 ia64, -O0 alpha

 -- Camm Maguire <camm@debian.org>  Thu, 25 Jul 2013 14:42:48 +0000

gcl (2.6.7+dfsga-34) unstable; urgency=high

  * sgc link_array mark fix;rb_end across save fix;more stable gcc on older arches

 -- Camm Maguire <camm@debian.org>  Tue, 23 Jul 2013 17:11:23 +0000

gcl (2.6.7+dfsga-33) unstable; urgency=high

  * fix mark_link_array for marked sLAlink_arrayA->s.s_dbind

 -- Camm Maguire <camm@debian.org>  Mon, 22 Jul 2013 19:00:43 +0000

gcl (2.6.7+dfsga-32) unstable; urgency=high

  * protect mark_link_array in sgc

 -- Camm Maguire <camm@debian.org>  Sat, 20 Jul 2013 00:16:07 +0000

gcl (2.6.7+dfsga-31) unstable; urgency=high

  * properly clean link array on gc

 -- Camm Maguire <camm@debian.org>  Fri, 19 Jul 2013 20:34:34 +0000

gcl (2.6.7+dfsga-30) unstable; urgency=high

  * fix gcl.script compiler::link, darwin compile warnings

 -- Camm Maguire <camm@debian.org>  Mon, 15 Jul 2013 20:35:03 +0000

gcl (2.6.7+dfsga-29) unstable; urgency=high

  * fix compiler::link in presence of gcl.script

 -- Camm Maguire <camm@debian.org>  Mon, 15 Jul 2013 16:23:33 +0000

gcl (2.6.7+dfsga-28) unstable; urgency=high

  * install unixport/gcl.script

 -- Camm Maguire <camm@debian.org>  Sat, 13 Jul 2013 18:42:28 +0000

gcl (2.6.7+dfsga-27) unstable; urgency=high

  * workaround for ia64 and hurd brk issues

 -- Camm Maguire <camm@debian.org>  Fri, 12 Jul 2013 21:44:54 +0000

gcl (2.6.7+dfsga-26) unstable; urgency=high

  * -- command line support, map-shared in unexec

 -- Camm Maguire <camm@debian.org>  Fri, 12 Jul 2013 00:52:35 +0000

gcl (2.6.7+dfsga-25) unstable; urgency=high

  * alpha, mips, 68k

 -- Camm Maguire <camm@debian.org>  Wed, 10 Jul 2013 18:29:37 +0000

gcl (2.6.7+dfsga-24) unstable; urgency=high

  * sgc and reloc fixes

 -- Camm Maguire <camm@debian.org>  Mon, 08 Jul 2013 13:56:33 +0000

gcl (2.6.7+dfsga-23) unstable; urgency=high

  * fix for maxima on kfbsd and sparc

 -- Camm Maguire <camm@debian.org>  Wed, 03 Jul 2013 19:19:16 +0000

gcl (2.6.7+dfsga-22) unstable; urgency=high

  * fix stack definition issues on i386

 -- Camm Maguire <camm@debian.org>  Tue, 02 Jul 2013 18:27:54 +0000

gcl (2.6.7+dfsga-21) unstable; urgency=high

  * near out of memory robustification

 -- Camm Maguire <camm@debian.org>  Tue, 02 Jul 2013 15:32:58 +0000

gcl (2.6.7+dfsga-20) unstable; urgency=high

  * fix 3GB workaround for gprof

 -- Camm Maguire <camm@debian.org>  Fri, 21 Jun 2013 11:09:01 -0400

gcl (2.6.7+dfsga-19) unstable; urgency=high

  * work around 3GB personality/alloca/malloc bug

 -- Camm Maguire <camm@debian.org>  Fri, 21 Jun 2013 02:46:49 +0000

gcl (2.6.7+dfsga-18) unstable; urgency=high

  * alpha NULL_OR_ON_C_STACK, attempt to get 32 immfix space with
    ADDR_LIMIT_3GB|ADDR_COMPAT_LAYOUT personality, clean compile with no
    immfix

 -- Camm Maguire <camm@debian.org>  Thu, 20 Jun 2013 20:24:29 +0000

gcl (2.6.7+dfsga-17) unstable; urgency=high

  * small optimizations, #= nil fix

 -- Camm Maguire <camm@debian.org>  Wed, 19 Jun 2013 16:23:27 +0000

gcl (2.6.7+dfsga-16) unstable; urgency=high

  * no linker script on hurd;fix OBJ_ALIGN

 -- Camm Maguire <camm@debian.org>  Thu, 13 Jun 2013 15:35:00 +0000

gcl (2.6.7+dfsga-15) unstable; urgency=high

  * ia64 fix

 -- Camm Maguire <camm@debian.org>  Thu, 13 Jun 2013 02:38:47 +0000

gcl (2.6.7+dfsga-14) unstable; urgency=high

  * eliminate maxpage/dbegin, restore windows and macosx builds

 -- Camm Maguire <camm@debian.org>  Wed, 12 Jun 2013 21:42:29 +0000

gcl (2.6.7+dfsga-13) unstable; urgency=low

  * ia64/hurd/s390 and SGC

 -- Camm Maguire <camm@debian.org>  Sun, 09 Jun 2013 00:23:51 +0000

gcl (2.6.7+dfsga-12) unstable; urgency=low

  * ia64/hurd/s390

 -- Camm Maguire <camm@debian.org>  Sat, 08 Jun 2013 15:24:46 +0000

gcl (2.6.7+dfsga-11) unstable; urgency=high

  * 2.6.9 test

 -- Camm Maguire <camm@debian.org>  Fri, 07 Jun 2013 21:46:41 +0000

gcl (2.6.7+dfsga-10) unstable; urgency=high

  * output mips make bug text to stderr

 -- Camm Maguire <camm@debian.org>  Sat, 25 May 2013 12:24:35 +0000

gcl (2.6.7+dfsga-9) unstable; urgency=high

  * mips make bug workaround

 -- Camm Maguire <camm@debian.org>  Wed, 22 May 2013 14:23:43 +0000

gcl (2.6.7+dfsga-8) unstable; urgency=high

  * revert doubled default maxpage
  * export *read-eval*

 -- Camm Maguire <camm@debian.org>  Tue, 21 May 2013 14:42:05 +0000

gcl (2.6.7+dfsga-7) unstable; urgency=high

  * export ansi symbols

 -- Camm Maguire <camm@debian.org>  Sat, 11 May 2013 21:36:56 +0000

gcl (2.6.7+dfsga-6) unstable; urgency=high

  * fast hash-equal in compiler

 -- Camm Maguire <camm@debian.org>  Sat, 11 May 2013 19:11:42 +0000

gcl (2.6.7+dfsga-5) unstable; urgency=high

  * Bug fix: "FTBFS: cp: cannot stat
    &#39;debian/tmp/usr/share/info/gcl-si.info&#39;: No such file or
    directory", thanks to Lucas Nussbaum (Closes: #707490).

 -- Camm Maguire <camm@debian.org>  Fri, 10 May 2013 18:09:14 +0000

gcl (2.6.7+dfsga-4) unstable; urgency=high

  * sgc-on fix with latest gcc

 -- Camm Maguire <camm@debian.org>  Tue, 23 Apr 2013 18:45:11 +0000

gcl (2.6.7+dfsga-3) unstable; urgency=high

  * hash depth bug fix
  * new s390 reloc

 -- Camm Maguire <camm@debian.org>  Thu, 24 Jan 2013 19:46:30 +0000

gcl (2.6.7+dfsga-2) unstable; urgency=high
  
  * more arm relocs supported;check default timezone dynamically;follow
    bash ~ semantics in user-homedir-pathname

 -- Camm Maguire <camm@debian.org>  Mon, 21 Jan 2013 18:41:06 +0000

gcl (2.6.7+dfsga-1) unstable; urgency=high

  * Acknowledge Non-maintainer upload. 
  (thanks David PrÃ©vot <taffit@debian.org>) 
  * Remove unused and non DFSG-compliant gmp3/gmp.* from source. 
  (Closes: #695721)
  * Show translated debconf templates, thanks to Denis Barbier for the
    analysis and the proposed fixes. (Closes: #691946)
  * trim excess digits from printed floats

 -- Camm Maguire <camm@debian.org>  Tue, 15 Jan 2013 20:46:25 +0000

gcl (2.6.7-108) unstable; urgency=high

  * Depend on emacs23 | emacsen to allow wheezy propagation

 -- Camm Maguire <camm@debian.org>  Mon, 08 Oct 2012 18:08:36 +0000

gcl (2.6.7-107) unstable; urgency=high

  * mode 644 on ucf newfile

 -- Camm Maguire <camm@debian.org>  Wed, 03 Oct 2012 20:38:43 +0000

gcl (2.6.7-106) unstable; urgency=high

  * Bug fix: "modifies conffiles (policy 10.7.3): /etc/default/gcl",
    thanks to Andreas Beckmann (Closes: #688201).

 -- Camm Maguire <camm@debian.org>  Wed, 03 Oct 2012 16:52:10 +0000

gcl (2.6.7-105) unstable; urgency=high

  * restore #DEBHELPER# to postinst and postrm scripts

 -- Camm Maguire <camm@debian.org>  Mon, 01 Oct 2012 17:31:43 +0000

gcl (2.6.7-104) unstable; urgency=high

  * Bug fix: "modifies conffiles (policy 10.7.3): /etc/default/gcl",
    thanks to Andreas Beckmann (Closes: #688201).

 -- Camm Maguire <camm@debian.org>  Mon, 01 Oct 2012 15:32:52 +0000

gcl (2.6.7-103) unstable; urgency=high

  * sfaslelf.c: FIX_HIDDEN_SYMBOLS

 -- Camm Maguire <camm@debian.org>  Wed, 22 Aug 2012 15:13:12 +0000

gcl (2.6.7-102) unstable; urgency=high

  * Fix hash key distribution bug, bitvector equal bug
  * distinguish car position in equal-hash of lists

 -- Camm Maguire <camm@debian.org>  Mon, 20 Aug 2012 17:33:26 +0000

gcl (2.6.7-101) unstable; urgency=high

  * add alpha, ppc, ppc64, and ia64 to __builtin__clear_cache exception
    list as per gcc maintainers
  * lintian cleanups

 -- Camm Maguire <camm@debian.org>  Sat, 05 May 2012 23:18:56 +0000

gcl (2.6.7-100) unstable; urgency=high

  * nil case keylist support
  * Bug fix: "[INTL:da] Danish translation of the debconf templates gcl",
    thanks to Joe Dalton (Closes: #666528).

 -- Camm Maguire <camm@debian.org>  Fri, 20 Apr 2012 02:25:26 +0000

gcl (2.6.7-99) unstable; urgency=low

  * case default error checking

 -- Camm Maguire <camm@debian.org>  Fri, 23 Mar 2012 14:14:44 +0000

gcl (2.6.7-98) unstable; urgency=low

  * restore traditional make-sequence,make-array, and coerce, and
    optimize replace, as 2.6.8 compiler is still too weak re: inlines

 -- Camm Maguire <camm@debian.org>  Fri, 20 Jan 2012 19:55:45 +0000

gcl (2.6.7-97) unstable; urgency=low

  * evade __builtin___clear_cache on hppa
  * make-array;make-sequence;replace;coerce

 -- Camm Maguire <camm@debian.org>  Fri, 20 Jan 2012 05:13:22 +0000

gcl (2.6.7-96) unstable; urgency=low

  * better XDR detection; no __builtin_clear_cache on sh4

 -- Camm Maguire <camm@debian.org>  Wed, 18 Jan 2012 01:32:43 +0000

gcl (2.6.7-95) unstable; urgency=low

  * clear_cache after mprotect

 -- Camm Maguire <camm@debian.org>  Tue, 17 Jan 2012 03:54:56 +0000

gcl (2.6.7-94) unstable; urgency=low

  * optimize unwind at O0 to workaround gcc bug; centralize on
    __builtin__clear_cache when available;arm_thm_call reloc support

 -- Camm Maguire <camm@debian.org>  Mon, 16 Jan 2012 20:10:07 +0000

gcl (2.6.7-93) unstable; urgency=low

  * remove C_GC_OFFSET for sparc64
  * remove ncurses dependency for readline
  * Bug fix: "FTBFS: dpkg-buildpackage: error: dpkg-source -b gcl-2.6.7
    gave error exit status 2", thanks to Didier Raboud (Closes: #643131).
  * Bug fix: "drops readline support if rebuilt", thanks to Sven Joachim
    (Closes: #646735).
  * lower opts on sparc64 asof gcc 4.6.1

 -- Camm Maguire <camm@debian.org>  Wed, 11 Jan 2012 21:04:23 +0000

gcl (2.6.7-92) unstable; urgency=low

  * remove gprof on arm as mcount calls are 24/22bit -- marginally
    accessible

 -- Camm Maguire <camm@debian.org>  Sat, 07 Jan 2012 02:42:06 +0000

gcl (2.6.7-91) unstable; urgency=low

  * s390x reloc support
  * lower C optimization on ia64, arm and mips for now

 -- Camm Maguire <camm@debian.org>  Thu, 05 Jan 2012 17:30:01 +0000

gcl (2.6.7-90) unstable; urgency=low

  * libtirpc check for newest glibc
  * read_preserving_whitespace fix
  * armhf reloc support
  * s390x support
  * try C_GC_OFFSET for sparc64

 -- Camm Maguire <camm@debian.org>  Wed, 04 Jan 2012 19:51:13 +0000

gcl (2.6.7-89) unstable; urgency=low

  * support new mips relocs
  * lower opt to work around gcc 4.6 bug on arm

 -- Camm Maguire <camm@debian.org>  Wed, 11 May 2011 20:06:04 +0000

gcl (2.6.7-88) unstable; urgency=low

  * Bug fix: "FTBFS: gcl_arraylib.c:4:42: error: &#39;VV&#39; undeclared
    (first use in this function)", thanks to Lucas Nussbaum (Closes:
    #625032).

 -- Camm Maguire <camm@debian.org>  Mon, 09 May 2011 16:00:21 +0000

gcl (2.6.7-87) unstable; urgency=low

  * mips reloc fix;configure default dlopen fix;clean rules and makefiles

 -- Camm Maguire <camm@debian.org>  Fri, 05 Nov 2010 13:29:05 +0000

gcl (2.6.7-86) unstable; urgency=low

  * remove binutils subdir, configure and make changes

 -- Camm Maguire <camm@debian.org>  Thu, 04 Nov 2010 17:55:48 +0000

gcl (2.6.7-85) unstable; urgency=low

  * fix mips relocs for non-static clines

 -- Camm Maguire <camm@debian.org>  Tue, 02 Nov 2010 13:56:40 +0000

gcl (2.6.7-84) unstable; urgency=low

  * better mips relocs, fix link on mingw32

 -- Camm Maguire <camm@debian.org>  Sat, 30 Oct 2010 00:07:39 +0000

gcl (2.6.7-83) unstable; urgency=low

  * fix alpha stubs; fix sparc64 typo; print armhf relocs

 -- Camm Maguire <camm@debian.org>  Thu, 28 Oct 2010 13:43:16 +0000

gcl (2.6.7-82) unstable; urgency=low

  * mips64 fixes

 -- Camm Maguire <camm@debian.org>  Tue, 26 Oct 2010 18:20:04 +0000

gcl (2.6.7-81) unstable; urgency=low

  * sparc64;mips64

 -- Camm Maguire <camm@debian.org>  Tue, 26 Oct 2010 03:33:52 +0000

gcl (2.6.7-80) unstable; urgency=low

  * alpha stubs; sgc mips kernel bug test; mips GPREL32 reloc

 -- Camm Maguire <camm@debian.org>  Mon, 25 Oct 2010 19:52:51 +0000

gcl (2.6.7-79) unstable; urgency=low

  * mips ld_bind_now, disable sgc workaround mips SIGBUS bug

 -- Camm Maguire <camm@debian.org>  Wed, 20 Oct 2010 15:31:59 +0000

gcl (2.6.7-78) unstable; urgency=low

  * mips local got relocs

 -- Camm Maguire <camm@debian.org>  Tue, 12 Oct 2010 17:15:35 +0000

gcl (2.6.7-77) unstable; urgency=low

  * workaround gcc alpha bug
  * fix alpha reloc

 -- Camm Maguire <camm@debian.org>  Fri, 01 Oct 2010 21:25:11 +0000

gcl (2.6.7-76) unstable; urgency=low

  * fix page_multiple usage for runtime pagesize variance and stable mipsel builds
  * sparc64 support

 -- Camm Maguire <camm@debian.org>  Fri, 01 Oct 2010 19:18:47 +0000

gcl (2.6.7-75) unstable; urgency=low

  * fix alpha bug

 -- Camm Maguire <camm@debian.org>  Tue, 28 Sep 2010 20:23:21 +0000

gcl (2.6.7-74) unstable; urgency=low

  * fix alpha relocs for axiom

 -- Camm Maguire <camm@debian.org>  Tue, 28 Sep 2010 16:07:38 +0000

gcl (2.6.7-73) unstable; urgency=low

  * sparc reloc updates
  * fast-link fix

 -- Camm Maguire <camm@debian.org>  Fri, 24 Sep 2010 19:23:16 +0000

gcl (2.6.7-72) unstable; urgency=low

  * remove unused symbols from gcl_cmpopt.lsp
  * reloc updates
  * clear gcc warning
  * default tilde expansion to HOME env in absence of passwd
  * configure typo fix

 -- Camm Maguire <camm@debian.org>  Wed, 22 Sep 2010 19:32:52 +0000

gcl (2.6.7-71) unstable; urgency=low

  * print sparc64 relocs

 -- Camm Maguire <camm@debian.org>  Sat, 28 Aug 2010 14:50:00 +0000

gcl (2.6.7-70) unstable; urgency=low

  * sparc64/m68k

 -- Camm Maguire <camm@debian.org>  Fri, 27 Aug 2010 16:54:11 +0000

gcl (2.6.7-69) unstable; urgency=low

  * Bug fix: "non-standard gcc/g++ used for build (gcc-4.3)", thanks to
    Matthias Klose (Closes: #594280).

 -- Camm Maguire <camm@debian.org>  Thu, 26 Aug 2010 19:08:39 +0000

gcl (2.6.7-68) unstable; urgency=low

  * ppc/mips elf reloc fixes

 -- Camm Maguire <camm@debian.org>  Mon, 23 Aug 2010 20:54:30 +0000

gcl (2.6.7-67) unstable; urgency=low

  * Fix compiler::link ansi combo

 -- Camm Maguire <camm@debian.org>  Sat, 21 Aug 2010 02:05:37 +0000

gcl (2.6.7-66) unstable; urgency=low

  * ppc autobuild fix
  * Bug fix: "FTBFS: sfasli.c:139: error: invalid initializer", thanks to
    Lucas Nussbaum (Closes: #593037).
  * Bug fix: "FTBFS on powerpc: Error: The function TK::GET-AUTOLOADS is
    undefined.", thanks to Mehdi Dogguy (Closes: #593191).

 -- Camm Maguire <camm@debian.org>  Fri, 20 Aug 2010 01:25:09 +0000

gcl (2.6.7-65) unstable; urgency=low

  * autobuilder fixes

 -- Camm Maguire <camm@debian.org>  Sat, 14 Aug 2010 11:30:46 +0000

gcl (2.6.7-64) unstable; urgency=low

  * configure fix

 -- Camm Maguire <camm@debian.org>  Fri, 13 Aug 2010 23:26:07 +0000

gcl (2.6.7-63) unstable; urgency=low

  * macosx support, ppc, i386 and x86_64 -- sfaslmacho.c
  * windows/wine support -- sfaslcoff.c
  * better custreloc support obviating my_plt -- sfaslelf.c
  * debian default custreloc build where supported, all but ia64 and hppa
  * fix mingw/wine path issues

 -- Camm Maguire <camm@debian.org>  Fri, 13 Aug 2010 16:08:49 +0000

gcl (2.6.7-62) unstable; urgency=high

  * more stable sgc detection via h/tsgc.h
  * fix plt.h bug on hppa
  * sublis1-inline fix for acl2

 -- Camm Maguire <camm@debian.org>  Mon, 26 Jul 2010 16:03:54 +0000

gcl (2.6.7-61) unstable; urgency=high

  * mac osx support
  * fix undef sgc bug in cmpinclude.h

 -- Camm Maguire <camm@debian.org>  Tue, 20 Jul 2010 14:50:19 +0000

gcl (2.6.7-60) unstable; urgency=high

  * fix sh4 support

 -- Camm Maguire <camm@debian.org>  Thu, 29 Apr 2010 18:09:04 +0000

gcl (2.6.7-59) unstable; urgency=high

  * fix hurd support

 -- Camm Maguire <camm@debian.org>  Fri, 23 Apr 2010 17:12:54 +0000

gcl (2.6.7-58) unstable; urgency=high

  * hurd support
  * sh4 support

 -- Camm Maguire <camm@debian.org>  Fri, 23 Apr 2010 05:09:29 +0000

gcl (2.6.7-57) unstable; urgency=high

  * static function pointer wrapper for gcl_gmp_allocfun, stabilizing gmp
    on hppa/ia64

 -- Camm Maguire <camm@debian.org>  Mon, 12 Apr 2010 22:28:41 +0000

gcl (2.6.7-56) unstable; urgency=high

  * __builtin___clear_cache on arm
  * gcc-4.3 on alpha

 -- Camm Maguire <camm@debian.org>  Thu, 28 Jan 2010 00:32:16 +0000

gcl (2.6.7-55) unstable; urgency=low

  * SGC fix, debian override fix, xgcl update
  * SGC fix for relocatable and contiguous gmp storage
  * configure fix for arm and hppa

 -- Camm Maguire <camm@debian.org>  Tue, 26 Jan 2010 19:43:08 +0000

gcl (2.6.7-54) unstable; urgency=low

  * robustify user_match, unrandomize, read-char-no-hang for sockets
  * SA_SIGINFO for 386-linux
  * if cmpinclude.h is not available, use *cmpinclude-string* in compiler-pass2

 -- Camm Maguire <camm@debian.org>  Wed, 20 Jan 2010 19:02:28 +0000

gcl (2.6.7-53) unstable; urgency=low

  * revert round ratio to nearest

 -- Camm Maguire <camm@debian.org>  Tue, 05 Jan 2010 03:06:59 +0000

gcl (2.6.7-52) unstable; urgency=low

  * SIGINFO for kfreebsd-386

 -- Camm Maguire <camm@debian.org>  Mon, 04 Jan 2010 17:49:05 +0000

gcl (2.6.7-51) unstable; urgency=low

  * user_match exscapes once only

 -- Camm Maguire <camm@debian.org>  Sun, 03 Jan 2010 05:31:20 +0000

gcl (2.6.7-50) unstable; urgency=low

  * gcc 4.4 warning cleanups

 -- Camm Maguire <camm@debian.org>  Thu, 31 Dec 2009 20:43:39 +0000

gcl (2.6.7-49) unstable; urgency=low

  * Bug fix: "/bin/sh: line 6: /bin/gcl: Permission denied", thanks to
    Nobuhiro Iwamatsu (Closes: #561554).

 -- Camm Maguire <camm@debian.org>  Wed, 30 Dec 2009 23:04:39 +0000

gcl (2.6.7-48) unstable; urgency=low

  * round to nearest in ratio to double

 -- Camm Maguire <camm@debian.org>  Wed, 16 Dec 2009 15:01:55 +0000

gcl (2.6.7-47) unstable; urgency=low

  * Bug fix: "configure: error: Need zlib for bfd linking", thanks to
    Cyril Brulebois (Closes: #560761).
  * Bug fix: "Disfunctional maintainer address", thanks to Joerg Jaspert
    (Closes: #560752).

 -- Camm Maguire <camm@debian.org>  Mon, 14 Dec 2009 19:06:45 +0000

gcl (2.6.7-46) unstable; urgency=low

  * support newer binutils with output_bfd element
  * Fix 64bit interrupt bug
  * reader error fix
  * Ensure plt entries are not blank
  * plt table reading fix
  * Bug fix: "FTBFS: current binutils static libs need -lz", thanks to
    Daniel Schepler (Closes: #521929).
  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553761).
  * Bug fix: "crash after ctrl-C", thanks to Miroslaw Kwasniak (Closes:
    #519903).
  * Bug fix: "FTBFS with binutils-gold", thanks to Peter Fritzsche
    (Closes: #554418). -ldl added to bfd linker args
  * Bug fix: "[INTL:es] Spanish debconf template translation for gcl",
    thanks to Francisco Javier Cuadrado (Closes: #508728).
  * Bug fix: "[INTL:it] Italian translation", thanks to Vincenzo
    Campanella (Closes: #560364).
  * gcc error/warning cleanups
  * fix plt table awk

 -- Camm Maguire <camm@debian.org>  Fri, 11 Dec 2009 17:45:14 +0000

gcl (2.6.7-45) unstable; urgency=high

  * proper word order detection macro, fixes armel

 -- Camm Maguire <camm@enhanced.com>  Mon, 01 Sep 2008 13:48:16 +0000

gcl (2.6.7-44) unstable; urgency=high

  * backoff on arm opts
  * more careful handling of GCL_GPROF_START

 -- Camm Maguire <camm@maguirefamily.org>  Sat, 23 Aug 2008 21:28:52 +0000

gcl (2.6.7-43) unstable; urgency=low

  * redo unrandomize.h to enable compilation under -O2 -- FIXME; Closes: 494153

 -- Camm Maguire <camm@maguirefamily.org>  Wed, 20 Aug 2008 21:18:43 +0000

gcl (2.6.7-42) unstable; urgency=low

  * more div/rem symbols for alpha

 -- Camm Maguire <camm@sacrifice.m.enhanced.com>  Sun, 03 Aug 2008 11:18:51 +0000

gcl (2.6.7-41) unstable; urgency=low

  * more div/rem symbols for arm and hppa

 -- Camm Maguire <camm@sacrifice.m.enhanced.com>  Sat, 02 Aug 2008 00:36:07 +0000

gcl (2.6.7-40) unstable; urgency=low

  * default gcc with pic enabled on mips/mipsel

 -- Camm Maguire <camm@enhanced.com>  Fri, 01 Aug 2008 13:28:00 -0400

gcl (2.6.7-39) unstable; urgency=high

  * gcc 4.2 for mips/mipsel for now
  * __divdi3 et. al. symbols for ia64 and arm
  * clean some compiler warnings

 -- Camm Maguire <camm@enhanced.com>  Fri, 01 Aug 2008 12:53:07 -0400

gcl (2.6.7-38) unstable; urgency=low

  * No infinite unrandomization loops

 -- Camm Maguire <camm@enhanced.com>  Thu, 31 Jul 2008 15:18:37 -0400

gcl (2.6.7-37) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #457025
  * [Debconf translation updates]
    - Portuguese. Closes: #457576
    - Czech. Closes: #457677
    - French. Closes: #458120
    - Finnish. Closes: #458255
    - Galician. Closes: #458529
    - Vietnamese. Closes: #459008
    - Russian. Closes: #459308
    - Dutch. Closes: #459541
    - German. Closes: #459887
  * [Lintian] Correct FSF address in debian/copyright
  * [Lintian] Remove extra whitespaces at the end of
    debian/in.gcl-doc.doc-base.tk
  * [Lintian] Correct section in doc-base documents from Apps/Programming
    to Programming
  * Accept NMU
  * Bug fix: "[INTL:sv] po-debconf file for gcl", thanks to Martin Ågren
    (Closes: #492241).
  * Bug fix: "gcl: FTBFS [amd64]: cannot trap sbrk", thanks to Daniel
    Schepler (Closes: #487435).  Modified and applied personality handling
    patch.
  * Bug fix: "gcl: Builds broken package with gcc-4.3", thanks to Daniel
    Schepler (Closes: #467474).  Added sincos to plttest.c

 -- Camm Maguire <camm@enhanced.com>  Thu, 31 Jul 2008 15:18:15 -0400

gcl (2.6.7-36) unstable; urgency=low

  * statsysbfd in Debian, incoporating modules into libgcl.a for
    compiler::link support

 -- Camm Maguire <camm@enhanced.com>  Fri, 30 Nov 2007 12:03:31 -0500

gcl (2.6.7-35) unstable; urgency=low

  * drop gcc-3.4 on arm, Closes: #440421
  * Depend on emacs22 | emacsen, Closes: #440190
  * debconf translations Closes: #410683, Closes: #419736, Closes: #423706, Closes: #441408

 -- Camm Maguire <camm@enhanced.com>  Fri, 23 Nov 2007 10:25:23 -0500

gcl (2.6.7-34) unstable; urgency=low

  * add read-byte,read-sequence,write-byte,write-sequence support
  * fix some float parsing inaccuracies
  * support GNU_HASH sections, Closes: #426135
  * safety 2 for certain low level functions in gcl_listlib.lsp, CLoses:
    #415266

 -- Camm Maguire <camm@enhanced.com>  Wed,  4 Jul 2007 16:23:25 -0400

gcl (2.6.7-33) unstable; urgency=low

  * Fix leading underscore behavior of my_plt
  * add sqrt to plttest.c
  * disable-nls added to the binutils subconfigures to avoid msgfmt
    dependency
  * remove -lintl from powerpc-macosx.defs
  * update to make-user-init from cvs head to support hol88, fix link on
    mingw
  * solaris-i386 support
  * fix read-char-no-hang on mingw
  * fast compile without wrap-literals
  * sigaltstack support
  * fix cerror

 -- Camm Maguire <camm@enhanced.com>  Wed, 16 May 2007 12:45:40 -0400

gcl (2.6.7-32) unstable; urgency=low

  * static function pointers for hppa

 -- Camm Maguire <camm@enhanced.com>  Sun, 29 Oct 2006 02:15:13 -0500

gcl (2.6.7-31) unstable; urgency=low

  * no C optimization on hppa, gcc 4.x on hppa
  * update cs.po, Closes: #389211

 -- Camm Maguire <camm@enhanced.com>  Fri, 27 Oct 2006 13:06:55 -0400

gcl (2.6.7-30) unstable; urgency=low

  * make sure *tmp-dir* is set
  * makeinfo is optional

 -- Camm Maguire <camm@enhanced.com>  Wed, 25 Oct 2006 17:37:54 -0400

gcl (2.6.7-29) unstable; urgency=low

  * Fix build issues on hppa and m68k

 -- Camm Maguire <camm@enhanced.com>  Sat, 21 Oct 2006 15:10:41 -0400

gcl (2.6.7-28) unstable; urgency=low

  * si::gettimeofday function for HOL88 build;macosx fixes

 -- Camm Maguire <camm@enhanced.com>  Wed, 18 Oct 2006 13:21:26 -0400

gcl (2.6.7-27) unstable; urgency=low

  * unrestricted gcc for alpha
  * more default stack space

 -- Camm Maguire <camm@enhanced.com>  Tue, 17 Oct 2006 16:33:43 -0400

gcl (2.6.7-26) unstable; urgency=low

  * Fix large float read bug in c1constant-value

 -- Camm Maguire <camm@enhanced.com>  Mon, 16 Oct 2006 12:41:03 -0400

gcl (2.6.7-25) unstable; urgency=low

  * build-dep on gcc3.4 where appropriate
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Oct 2006 09:37:08 -0400

gcl (2.6.7-24) unstable; urgency=low

  * build-dep on gcc3.4 where appropriate
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Oct 2006 02:22:04 -0400

gcl (2.6.7-23) unstable; urgency=low

  * backoff to gcc-3.4 on alpha,arm,hppa, and m68k

 -- Camm Maguire <camm@enhanced.com>  Wed, 11 Oct 2006 10:16:59 -0400

gcl (2.6.7-22) unstable; urgency=low

  * HAVE_SYS_SOCKIO_H for solaris
  * autolocbfd for solaris
  * no -Wall when no gcc
  * no -fomit-frame-pointer on m68k
  * no profiling on mips
  * $(AWK) instead of awk
  * si::stat function
  * fix 'the boolean type coersion error
  * no varargs on cygwin
  * while eval macro
  * gensym counter fixes
  * xgcl updates


 -- Camm Maguire <camm@enhanced.com>  Fri, 15 Sep 2006 13:48:28 -0400

gcl (2.6.7-21) unstable; urgency=low

  * Fix socket write error

 -- Camm Maguire <camm@enhanced.com>  Wed,  6 Sep 2006 09:59:50 -0400

gcl (2.6.7-20) unstable; urgency=low

  * fix ia64 build

 -- Camm Maguire <camm@enhanced.com>  Thu, 31 Aug 2006 15:14:18 -0400

gcl (2.6.7-19) unstable; urgency=low

  * xgcl upgrade
  * parse_number from cvs head with *read-base* fixes
  * fix object_to_string
  * install xgcl-2/sysdef.lisp
  * fix info dir and emacs site lisp dir installation
  * New xgcl readme
  * Remove bashism from debian/rules, Closes: #376806, Closes: #385176.
  * Fix dwdoc doc-base error, Closes: #385126

 -- Camm Maguire <camm@enhanced.com>  Wed, 30 Aug 2006 12:13:46 -0400

gcl (2.6.7-18) unstable; urgency=low

  * remove emacs build dependency
  * synch xgcl-2 with Novak edits
  * fix build errors
  * Remove power of two limit to MAXPAGE;fix X lib paths
  * configure cleanup
  * delete-file works on directories;build xgcl the old way;latest xgcl
    from Gordon Novak

 -- Camm Maguire <camm@enhanced.com>  Wed, 23 Aug 2006 14:19:51 -0400

gcl (2.6.7-17) unstable; urgency=low

  * Bug fix: "gcl: [INTL:sv] Swedish debconf templates translation",
    thanks to Daniel Nylander (Closes: #343695).
  * Bug fix: "gcl: French debconf templates translation update", thanks to
    Sylvain Archenault (Closes: #344629).
  * clean xgcl-2/gmon.out
  * cleanup latest gcc type-punning warnings
  * defentry C proclamations and xgcl cleanup

 -- Camm Maguire <camm@enhanced.com>  Mon, 26 Jun 2006 16:45:09 +0000

gcl (2.6.7-16) unstable; urgency=high

  * Add missing build dependencies, omit html generation to avoid non-free
    dependencies, CLoses: #372574.

 -- Camm Maguire <camm@enhanced.com>  Mon, 19 Jun 2006 14:05:59 +0000

gcl (2.6.7-15) unstable; urgency=low

  * Use internal gettext for bfd
  * Restore xgcl2
  * Set compiler::*tmp-dir* at runtime
  * report tmp-dir setting with system-banner to enable clean -eval -
    batch operation; fix listen on socket streams; use (abs (getpid)) in
    tmp names for Windows
  * fix configure unbalanced quotes
  * support for bignums in nth et.al.
  * Fix branch cut of atanh
  * Fix typep on simple-arrays
  * prevent nested free errors
  * revert atanh branch cut change
  * Fix function documentation wrapping by compile
  * cond evalmacro from cvs head
  * Fix fixnum declarations in new smallnthcdr/bignthcdr
  * fix simple-array typep
  * updates for lsp/sys-proclaim
  * xgcl integration

 -- Camm Maguire <camm@enhanced.com>  Fri,  9 Jun 2006 17:52:22 +0000

gcl (2.6.7-14) unstable; urgency=low

  * Add mount declaration to plt.c

 -- Camm Maguire <camm@enhanced.com>  Sun, 18 Dec 2005 12:56:51 +0000

gcl (2.6.7-13) unstable; urgency=low

  * Add feof to plttest.c for macosx
  * plt related fixes for macosx
  * fix configure
  * Cleanup LEADING_UNDERSCORE case in plt.c et.al for macosx et.al.
  * pass devices if present in compiler::get-temp-dir, fix disassemble
    for new gazonk name pattern

 -- Camm Maguire <camm@enhanced.com>  Sat, 17 Dec 2005 15:22:40 +0000

gcl (2.6.7-12) unstable; urgency=low

  * Fix read-char-no-hang
  * Strip emacs warnings when finding site-lisp directory
  * mach-o update for latest binutils
  * Latext bfd mach-o support from Aurelien
  * revert to locbfd default on ppc-macosx
  * More ppc macosx fixes from Aurelien
  * revert a few macosx changes
  * default to void * prototype on my_sbrk for latest macosx pending
    Aureliens #ifdef
  * Fix plt.h parsing on macosx
  * Fix leading_underscore detection on mac
  * macosx name mangling fixes
  * multi-process safe gazonk names in compiler::*tmp-dir*
  * Add underscore-mangled setjmp calls to plttest.c for macosx
  * Fix POTFILES.in, Closes: #336207.
  * Update templates, Closes: #324636
  * New French and Swedish translations, Closes: #333654, Closes: #336757.

 -- Camm Maguire <camm@enhanced.com>  Wed, 14 Dec 2005 18:52:49 +0000

gcl (2.6.7-11) unstable; urgency=low

  * Remove gcc-3.3 for arm in debian/rules
  * make default maxpage depend on SIZEOF_LONG and PAGEWIDTH in a sane
    fashion

 -- Camm Maguire <camm@enhanced.com>  Thu, 20 Oct 2005 00:08:37 +0000

gcl (2.6.7-10) unstable; urgency=low

  * Fix long-call gcc configure bug for ppc, add fdollars in 
    identifiers on arm
  * remove gcc restrictions on arm
  * revert 64bit coersion (gmp_big.c, maybe_replace_big) and replace with
    code in siLnani (main.c) to get addresses from bignums.  2.7.0 will
    have 64bit fixnums on 64bit machines, but this should not be
    backported to 2.6.x

 -- Camm Maguire <camm@enhanced.com>  Wed, 12 Oct 2005 23:11:12 +0000

gcl (2.6.7-9) unstable; urgency=low

  * 64bit fixnum fasd data format fix from cvs head

 -- Camm Maguire <camm@enhanced.com>  Wed,  5 Oct 2005 18:49:50 +0000

gcl (2.6.7-8) unstable; urgency=low

  * Fix 64bit fixnum coersion bug using code from cvs HEAD

 -- Camm Maguire <camm@enhanced.com>  Fri, 30 Sep 2005 22:14:38 +0000

gcl (2.6.7-7) unstable; urgency=high

  * Scan .o file for init name when using dlopen
  * Set init name using .o file instead of source file by default
  * wrap-literals function from cvs head to allow optimizations using
    compile or compile-file
  * ADDR_NO_RANDOMIZE fix

 -- Camm Maguire <camm@enhanced.com>  Thu, 29 Sep 2005 17:50:56 +0000

gcl (2.6.7-6) unstable; urgency=high

  * Build bfd snapshot locally, Closes: #318681

 -- Camm Maguire <camm@enhanced.com>  Tue, 20 Sep 2005 17:53:17 +0000

gcl (2.6.7-5) unstable; urgency=high

  * gcc-3.3 for arm

 -- Camm Maguire <camm@enhanced.com>  Thu, 15 Sep 2005 20:33:00 +0000

gcl (2.6.7-4) unstable; urgency=high

  * gcc 3.4 on arm to work around reserved '$' identifiers.
  * gcl: French translation update
  * French translation added, Closes: #325214
  * Czech translation added, Closes: #325869

 -- Camm Maguire <camm@enhanced.com>  Thu, 15 Sep 2005 13:45:11 +0000

gcl (2.6.7-3) unstable; urgency=low

  * static wraper for compiled_regexp for ia64

 -- Camm Maguire <camm@enhanced.com>  Sat, 10 Sep 2005 11:26:37 +0000

gcl (2.6.7-2) unstable; urgency=high

  * rebuild against libgmp3c2, Closes: #323765
  * 2.6.7 fixes all gcc 4.0 issues.  Closes: #323979

 -- Camm Maguire <camm@enhanced.com>  Wed, 24 Aug 2005 00:44:48 +0000

gcl (2.6.7-1) unstable; urgency=high

  * Fix (listen) with readline on
  * fix control-d with readline
  * libreadline5 support for Debian
  * Support for pre-compiled regexps and new texinfo format
  * Reenable run-process
  * Push function 'accept  into lisp, use select for 'listen on socket
    streams
  * New Upstream release version
  * Native-reloc feature
  * Add daemon capabilities to server sockets, document socket and
    accept
  * Some gcl-tk fixes
  * Update wrapt-literals strategy to be consistent with CVS head --
    wrap evreything but symbols and integers, don't wrap when keeping
    the gazonk files for linking in different images, this is really a
    compile-file operation
  * gcltk demo cleanups
  * Probe-file, open_stream, and the like fail on directories
  * Resolve symlinks in truename
  * Place prototypes for defcfun in header files
  * Support for unique init names for compiler::link and the like
  * libreadline5 for Debian
  * remove _o from init-names
  * gcc-4.0 fixups
  * Bug fix: "gcl: depends on binutils-dev &lt;&lt;= 2.1.5-999), so
    uninstallable in unstable", thanks to Steve Langasek (Closes:
    #318681).  Rebuild with new release to autocompute this dep
  * Bug fix: "gcl: Please switch to po-debconf", thanks to Lucas Wall
    (Closes: #295930). Apply po-debconf patch
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Thu, 11 Aug 2005 15:00:26 +0000

gcl (2.6.6-1) unstable; urgency=high

  * New upstream release
  * Allow .data section to be first in executable, as on solaris.  Also
    allow for new bfd section size semantics
  * Don't try to write map file when not using GNU ld.  Also allow
    compile-file to process pathnames with whitespace on Windows
  * Fix corner case fixnum arithmetic on 64bit machines
  * Rework gmp_wrappers semantics for older gcc
  * Explicitly mprotect loaded code pages PROT_EXEC on x86 Linux, as FC3
    now requires it.
  * lisp-implementation-version is GCL
  * Reader extension patch allowing for foo::(bar foobar) semantics
  * a shell script variable fix in "unixport/makefile" for MSYS
  * __MINGW32__ malloc initialisation fix in "o/alloc.c"
  * Windows file/directory fixes in "o/unixfsys.c"
  * MinGW32 -march in configure - removes deprecation warnings
  * MinGW32 directory fix - "o/mingfile.c".
  * Allow for sysconf to determine clock granularity at compile time to
    fix time errors on the Itanium
  * Disable SGC on macosx until the sgc/save problem can be fixed.
  * Fix fixnum print bug on 64bit
  * Fix nil types in room report
  * 64bit fixes to fixnum_add and fixnum_sub
  * Fix Mac SGC/save bug, at least in part

 -- Camm Maguire <camm@enhanced.com>  Sun, 16 Jan 2005 02:28:50 +0000

gcl (2.6.5-1) unstable; urgency=high

  * New gmp_wrappers.{c,h} files that prevent all GBC within gmp,
    obviating the need for gmp patches and a local gmp configure.  FIXME
    -- extend to all gmp functions in a systematic way, and write header
    information for future use in the compiler, making sure that plt.c
    carries the needed gmp symbols at this point
  * Build support for gmp_wrappers
  * Support for gmp_wrappers in alloc_relblock/alloc_contblock;Support
    for GCL_GPROF_START define in gprof functions
  * dynsysgmp on by default; configure backs off to local gmp configure
    and build automatically if needed either because gmp not present or
    patched symbols are needed; autodetect and set the _start symbol
    when using gprof
  * Fix (setf (get ...) ...) return bug when interpreted
  * Fix overwrite end of sgc_type_map bug
  * Versioned depends on binutils-dev manually installed by Debian build
    process
  * New upstream release
  * Proper binutils dependency for Debian
  * head -1l -> head -n 1 for freebsd
  * Cleanup gmp_wrapper code, check for in-place calls as write in one
    step is not guaranteed in gmp according to its developers
  * Rebuild against binutils 2.15, Closes: #266253, Closes: #263983

 -- Camm Maguire <camm@enhanced.com>  Tue, 17 Aug 2004 18:22:27 +0000

gcl (2.6.4-1) unstable; urgency=high

  * New upstream release
  * Make disassemble work when original system directory is gone
  * New debian/support files for debconf image default selection support
  * More descriptive compiled C function names for use in gprof when
    profiling is compiled in
  * Compiler fix for proclaimed vararg functions
  * Allow sharp numbers to be bignums
  * lintian fix in string-match
  * Prototype for alloca for lint
  * Improve gprof support
  * Improve sgc page allocation which optimize-maximum-pages is in
    effect and the hole is overrun
  * Build a profiling set of images as well for Debian, toggle between
    all four by default via debconf
  * reset-sys-paths lisp function for moving image installation
    directories, show profiling support in banner if present
  * Fix typo in sys docs
  * reset sys paths on installation

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Aug 2004 22:48:56 +0000

gcl (2.6.3-1) unstable; urgency=high

  * Correctly parse gcc version strings in gmp3 subconfigure on arm
  * Fix variable capture error in dotimes macro
  * Better sed separator for LI-CC in unixport/makefile
  * Fix segfault in string-match
  * vs_top=sup -> (reset-top) where possible in compiler.  FIXME: a few
    items of a different form which need to set *sup-used* too.
  * Correct room report to show proper percentages when sgc is on
  * Read in RELOC environment variable if set as default in debian/rules
  * Remove local bfd libraries from libs variables as their objects are
    incorporated into libgcl and as the source directory may not be
    available at runtime
  * Remove pcl/pcl_gazonk*lsp build-generated files from source

 -- Camm Maguire <camm@enhanced.com>  Thu, 15 Jul 2004 14:26:44 -0400

gcl (2.6.2-3) unstable; urgency=low

  * Fix value stack leak in rare compiled call sequence

 -- Camm Maguire <camm@enhanced.com>  Tue, 13 Jul 2004 10:17:02 -0400

gcl (2.6.2-2) unstable; urgency=low

  * New upstream point release

 -- Camm Maguire <camm@enhanced.com>  Tue, 13 Jul 2004 10:08:53 -0400

gcl (2.6.2-1) unstable; urgency=low

  * gcc-3.4 support
  * Proper isnormal default courtesy of Magnus Henoch
  * gclclean makefile target and other small makefile changes
  * Proper check for C stack array body address in gbc.c and sgbc.c
  * New upstream release
  * acconfig.h update for isnormal default
  * Fix bug in setting elements (si::aset) of 0 rank arrays uncovered by
    the random tester
  * No -fomit-frame-pointer on mingw
  * Backport minimal ansi-test patches from HEAD to enable running of
    the random tester
  * installed tcl/tk patch for mingw
  * Fix banner license detection code in lsp/gcl_mislib.lsp as
    8features* entries are now keywords
  * o/makefile changes to work around trailing slash -I arguments gcc
    bug on mingw
  * Patch to mingwin.c:fix_filename to close long standing 'maxima
    ignore-errors filename corruption' bug on mingw
  * Check for too large rank supplied to make-array1
  * Fix potential stack overwrite bug in quick_call_sfun/eval.c
  * Add -mprferred-stack-boundary=8 on amd64, as constant integers used
    in a call must be retrievable with va_arg(,fixnum)
  * Revert preferred-stack-boundary option on amd64 as it does not play
    well with external libraries, also eliminate -m64 to allow for user
    settings.  Cast fixnum constant C arguments in gcl_cmploc.lsp
    explicitly to (long) to ensure they can be extracted via
    va_arg(,fixnum)
  * reenable SA_SIGINFO on amd64 to restore SGC there
  * Include elf.h in FreeBSD.h
  * Allow for elf_abi.h in FreeBSD.h
  * Add README.openbsd file
  * readme.mingw updates
  * solaris.h updates for custreloc option
  * Close possibility of malloc failure due to intervening gbc arising
    from the misordering of allocation calls
  * C_GC_OFFSET is 2 on m68k-linux
  * Add release notes, remove gcl document presumably based on dpANS for
    now
  * Fixup bad extern declaration of signals_handled in usig.c

 -- Camm Maguire <camm@enhanced.com>  Fri, 25 Jun 2004 22:43:52 +0000

gcl (2.6.1-39) unstable; urgency=high

  * Fix segfault in referencing (sgc_)type_map out of bounds which can
    occurr when C stack is below heap, as on alpha.
  * Cleanup compiler warnings on bcmp.c bzero.c and bcopy.c
  * Clean up compiler warning in file.d
  * Ensure set TLDFLAGS are used in finding DBEGIN in copnfigure.in, for
    OpenBSD

 -- Camm Maguire <camm@enhanced.com>  Fri,  7 May 2004 21:50:03 +0000

gcl (2.6.1-38) unstable; urgency=low

  * Make *features* entries keywords -- add canonical host cpu and
    kernel-system to *features*, disable h files specific
    ADDITIONAL_FEATURES macro in main.c
  * Fix merge-pathanames bug in concatenating default and supplied
    directory lists
  * Minor pathname and *features* fixes
  * Fix recently introduced configure.in syntax bug
  * Minor patches to support big gcl images -- all page integers must be
    long ints, need stack space limits that scale with MAXPAGES at least
    to allow free_map stack array in sgc_start.  FIXME -- right now can
    handle situations where page numbers are ints, but npage*PAGESIZE is
    a long, need to handle npage >MAX_INT later.  This is to support the
    'billion cons element acl2 image' requested by a gcl user
  * Revert winnt features and debugging aids in configure.in
  * OpenBSD support, gcc warning cleanups for long page integers

 -- Camm Maguire <camm@enhanced.com>  Mon,  3 May 2004 21:34:57 +0000

gcl (2.6.1-37) unstable; urgency=high

  * mprotect pages PROT_EXEC as CLEAR_CACHE step on amd64-linux
  * Prevent recursive malloc calls for OpenBSD error reporting
  * Push dummy 0 time for child runtime on windows to be compatible with
    other platforms for now
  * Make sure pages are mprotected PROT_EXEC for amd64 support

 -- Camm Maguire <camm@enhanced.com>  Tue, 13 Apr 2004 21:00:22 +0000

gcl (2.6.1-36) unstable; urgency=low

  * Improve optimize-maximum-pages algorithm

 -- Camm Maguire <camm@enhanced.com>  Tue,  6 Apr 2004 03:23:40 +0000

gcl (2.6.1-35) unstable; urgency=low

  * Fix sigcontext autodetection on sparc

 -- Camm Maguire <camm@enhanced.com>  Sun,  4 Apr 2004 19:26:48 +0000

gcl (2.6.1-34) unstable; urgency=low

  * Fix GNU_LD autodetection in configure.in
  * Eliminate C_INCLUDE_PATH from shell script wrapper
  * Use lisp rather than 'system touch' to make empty map file in
    compiler::link
  * fix small bug when info is passed bad second argument
  * Don't try to open map file if doesn't stat (macosx)
  * Add earlier forgotten branch patch to sfaslbfd.c for macosx
  * Backport new eval-when keyword support from 2.7 to run random tester
  * Perhormance improvement to gcl_seqlib.lsp -- no inner loop over
    bignums
  * Proper contblock/relblock determination when expanding string
    streams
  * Proper string type determination for *link-array*
  * .ini files depend on plt.h
  * plttest.c cannot depend on include.h
  * Address longstanding FIXmE in gensym, so that two strings are not
    allocated for each gensym
  * Fix rare infinite loop bug in array.c
  * Import si::info into 'user
  * , -> # as sed separator
  * Minro warning removals and fixups
  * Binary searches through ordered arrays of referred and changed
    variables for dramatic compiler performance improvement in the large
    case -- support declarations and thereby optimizations of the form
    (declare ((vector t) foo)), etc.
  * Better 'time macro
  * rebuild pcl_gaz* files
  * cleanup room report and give more space to modern large heaps
  * room report formatting
  * Properly gensymmed time macro
  * Allow for white space chars in compiled filenames
  * Autodetect and work around sbrk randomization, e.g. on Fedora 1
  * Probe for sbrk before probing for randomized sbrk
  * Openbsd changes -- maximize data seg resource if possible, avoid
    mallocing error message when allocation routines fails
  * Fix sigcontext configure tests
  * Rename loop-finish -> sloop-finish in sloop package so that sloop
    and ansi loop can be used simultaneously
  * Handle arguments which are zero in LCM
  * Fix typo in configure.in
  * Improved dotimes macro which avoids unnecessary fixnum garbage
    generation
  * Backport of ignorable declaration keyword for new dotimes macro
  * si::*OPTIMIZE-MAXIMUM-PAGES* support
  * rebuild pcl generated lisp files

 -- Camm Maguire <camm@enhanced.com>  Sat,  3 Apr 2004 19:27:18 +0000

gcl (2.6.1-33) unstable; urgency=low

  * Remove extraneous symbols from plt.h, autodetect and correct for
    leading underscore in object symbols
  * complete readline version detection commit
  * Backport support for new eval-when keywords
  * Autodetect GNU ld and add -Wl,-Map only when appropriate

 -- Camm Maguire <camm@enhanced.com>  Wed, 10 Mar 2004 22:51:44 +0000

gcl (2.6.1-32) unstable; urgency=low

  * Try to automatically determine the form used for the explicitly
    compiled in external function addresses in plt.c
  * No need to explicitly write cr-lf on windows
  * Autodetection of machine on FreeBSD
  * Updated defs and h files for FreeBSD courtesy of Mark Murray
  * Minor ifdefs needed for FreeBSD
  * Refer to exported non-static C stub of fSmake_vector1 in plt.c
    (needed on ia64)
  * Readline 4.1/4.3 configure magic

 -- Camm Maguire <camm@enhanced.com>  Tue,  9 Mar 2004 01:58:43 +0000

gcl (2.6.1-31) unstable; urgency=low

  * Adjustments to vs_top reset logic to clear (hopefully last)
    remaining bug found by the random-tester
  * Allow args-info-referred-vars to match replaced vars, clearing bug
    report submitted by Matt Kauffman
  * Rework plt code yet again to be compatible with compiler::link for
    axiom, and mingw32

 -- Camm Maguire <camm@enhanced.com>  Mon,  8 Mar 2004 12:16:46 +0000

gcl (2.6.1-30) unstable; urgency=low

  * Fix rsym generated symbol tables for 64 bit platforms
  * Make sure 'unwind' in frame.c does nt go below frs_org
  * Do not define symbols with no value, either in bfd/rsym, or in
    plt.c.  Generates a clear and explicit error of an undefined symbol
    when we've missed an address
  * Define the external symbols known to be written at present in plt.c
  * fix some more compiler errors found by the random tester -- all
    related to proper unwinding of temporary reductions of vs_top from
    te local supremum

 -- Camm Maguire <camm@enhanced.com>  Sat,  6 Mar 2004 02:05:59 +0000

gcl (2.6.1-29) unstable; urgency=low

  * Remove implicit dependency on gawk, optimize plt.c a little

 -- Camm Maguire <camm@enhanced.com>  Wed,  3 Mar 2004 16:08:30 +0000

gcl (2.6.1-28) unstable; urgency=low

  * make sure bfd fasload initializes dum.sm.sm_object1 for
    read_fasl_vector
  * When a tagbody contains ccb reference tags, and hence i itself
    marked ccb, mark all the clb tags therein ccb too, as the tagbody
    environment will be consed in c2tagbody-ccb.  FIXME -- review this
    logic carefully
  * fix typoe in o/sfaslbfd.c
  * Add code to unwind redefinitions of the stack supremum in c2expr-top
    (used in c2multiple-value-prog1 and c2multiple-value-call in
    evaluating arguments) on non-local exit
  * Use new temporarry variables holding lisp stack  supremum for lint
  * Eliminate extraneous warning message when allocating fewer pages
    than already allocated
  * Rework internal plt symbol address capture
  * Cleanup sfaslelf compiler warning

 -- Camm Maguire <camm@enhanced.com>  Wed,  3 Mar 2004 00:27:08 +0000

gcl (2.6.1-27) unstable; urgency=low

  * Modify default banner slightly
  * Homebrew plt-like mechanism for ensuring that valid internal
    addresses exist to which undefined symbols in compiled lisp objects
    referring to external shared libraries can be relocated
  * Make configure demand gettext when choosing --enable-locbfd
  * Make sure references to ldb1, a stub conventionally optimized away,
    can be resonled when optimization is turned off
  * completion_matches ->  rl_completion_matches in gcl_readline.d,
    which is what is exported in the headers

 -- Camm Maguire <camm@enhanced.com>  Fri, 27 Feb 2004 23:50:49 +0000

gcl (2.6.1-26) unstable; urgency=low

  * Rework compiler::*ld-libs*, compiler::link, and unixport/makefile to
    accomodate mingw need for firstfile.o and lastfile.o
  * Remove incompatible -fomit-frame-pointer when compiling with -pg
    profiling
  * Load sys-proclaim.lisp files forimproved linking and smaller object
    size across the board, install same for use with compiler::link
  * Use pathnames instead of strings in compiler::link, also in image
    init files, for Windows
  * small mod to unixport/makefile re filtering of firstfile and
    lastfile
  * Backport zero divisor error cnditions from HEAD for
    floor,ceiling,truncate
  * Default to debug mode on hppa to work around gcc compiler
    optimization bugs
  * Add missing m4 and automake files in binutils directory to enable
    automake and autoconf here
  * Add mach-o specific files from cvs head to local bfd tree
  * Add bfd/po makefiles
  * Macosx defaults in configure.in
  * bfd make and configure file changes to handle mach-o backend
  * *gcl-version* -> *gcl-minor-version*,*gcl-extra-version*
  * Support for more informative banner reading features list
  * Support for both sigbus and sigsegv in sgbc.c as is customary in .h
    files
  * mach-o compatible changes in sfaslbfd.c
  * Support for new debugging section names in sfaslelf.c
  * powerpc-macosx h and defs files from cvs head

 -- Camm Maguire <camm@enhanced.com>  Wed, 25 Feb 2004 23:08:59 +0000

gcl (2.6.1-25) unstable; urgency=low

  * rl_putc_em a carriage return after invoking readline to ensure the
    prompt in rl_putc_em_line is cleared.
  * use standard sgc fault recovery element for hppa as recommended by
    hppa kernel experts
  * Store banner in si::*system-banner* for possible modification
  in compatibly licensed programs
  * exit with -1 when standard in ends in lisp debug mode
  * Backport macosx files from cvs HEAD
  * Document system return codes

 -- Camm Maguire <camm@enhanced.com>  Fri, 13 Feb 2004 20:44:54 +0000

gcl (2.6.1-24) unstable; urgency=low

  * Revert unixport/makefile link order fix for windows, breaks
    compiler::link, find another way
  * runtime SGC fault recovery test
  * Protect read/fread in case SGC is enabled with safe (restartable)
    versions
  * SGC on for arm and hppa
  * remove fast-link workaround now fixed for windows
  * Backport HEAD makefile changes to clean .{c,h,data} files and
    new_decl.h, remove said from repository (generated files)

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Feb 2004 05:56:29 +0000

gcl (2.6.1-23) unstable; urgency=low

  * Remove calls to init-readline with new automatic readline setup

 -- Camm Maguire <camm@enhanced.com>  Tue, 27 Jan 2004 20:27:20 +0000

gcl (2.6.1-22) unstable; urgency=low

  * Build depend on emacs21 | emacsen

 -- Camm Maguire <camm@enhanced.com>  Fri, 23 Jan 2004 22:01:15 +0000

gcl (2.6.1-21) unstable; urgency=low

  * Automatic readline initialization
  * Add watch file
  * Prevent circular error loops
  * Prevent automatic optimization added to CFLAGS by autoconf
  * Rework documentation installation in and outside of Debian
  * Support user deined predicates at an elementary level in the form
    '(satisfies foop) in gcl_predlib.lsp
  * Install binary gcd algorithm for ~10% performance increase
  * Rescale some default allocation parameters -- bignum allocation by
    relblocks by default, default growth parameters are 1 (min),
    0.1*MAXPAGE (max), 0.5 (increase), 0.3 (percent free), holepage is
    4*MAXPAGE/1024, INIT_HOLEPAGE, INIT_NRBPAGE and RB_GETA scale
    accordingly
  * Clean windows/sysdir.bat
  * Check for zero args in new gcd code
  * Default hole is maxpages/10, holesize configure option added
  * Fix syntax errors in older reloaction code: sfaslelf.c

 -- Camm Maguire <camm@enhanced.com>  Fri, 16 Jan 2004 16:57:50 +0000

gcl (2.6.1-20) unstable; urgency=low

  * Fix gcl-doc doc-base files

 -- Camm Maguire <camm@enhanced.com>  Tue, 30 Dec 2003 22:30:39 +0000

gcl (2.6.1-19) unstable; urgency=low

  * Fix bug in compiler::c2labels in which *ccb-vs* was missing a ocal
    rebind
  * Remove duplicate tags from compiled C switch statements
  * Minor merges for DARWIN support
  * Path to configure to make --enable-emacsdir work
  * Check for readline/readline.h header before configuring for readline
  * Improve system bfd library location detection
  * Make sure external gmp lib is compatible via __GNU_MP_VERSION, else
    backoff to local gmp build;  prepend externally defined CFLAGS into
    output CFLAGS, FINAL_CFLAGS, and NIFLAGS
  * Remove --enable-gmp configure option; gmp is required for GCL
  * Use --enable-emacsdir in debian/rules, make sure --enable-emacsdir
    and --enable-infodir work when arg contains ${prefix}
  * Fix typo in chap-6.texi
  * Make sure to export SGC define from config.h to cmpinclude.h -- Now
    that we used optimized structures in the compiler, we need at least
    the definition of SGC_TOUCH there to prevent GBC errors.  FIXME --
    handle header dependencies more robustly.  Thanks to Robert Boyer
    for the report
  * Improve SGC define extraction for cmpinclude.h
  * Fix variable reference errors which were occurring for compiled
    local functions defined within closure-generating or other
    environment stack pushing functions when safety is set to 3 (thanks
    Paul Dietz for the report.).  When constructing local functions and
    closures within a 'mother' function, *ccb-vs* will hold the number
    of closure environments stacked at the point of each closure
    creation or call to a local function.  This value is stored as the
    cadr of a list pushed onto *local-funs*, and is read when writing
    out the C code for the local function or closure, where it is used
    to initialize *ccb-vs* and *initial-ccb-vs* for subsequent
    processing.  The latter is used as the reference point when
    addressing variables in wt-ccb-vs, as the former could be still
    further incremented within the closure or local function itself.
    Local functions as opposed to closures do not increment *ccb-vs* and
    do not push the environment.  When a local function is defined
    within a closure-generating flet/labels, or a tagbody or block which
    pushes the environment, the value of *ccb-vs* written to the list
    corresponding to the local function can be erroneously incremented
    beyond the *initial-ccb-vs* value established before any environment
    pushing operations were processed.  It is this latter value which is
    appropriate for use in wt-ccb-vs, as the local functions, unlike the
    closures, receive an environment level with the mother generating
    function.  We therefore push *initial-ccb-vs* onto the end the list
    pushed onto *local-funs* only when defining a local function, and use
    it to initialize an added optional variable initialize-ccb-vs in
    t3local-fun and t3local-dcfun, which default to the original ccb-vs.
    We then bind *initial-ccb-vs* to this new optional parameter instead
    of the former *ccb-vs, which was only appropriate for closures.
  * Put in rudimentary logic for the selection of stack vs. heap storage
    for bignums depending on the frame context.  FIXME, this logic is
    too conservative at present.  SETQ_II and SETQ_IO take an additional
    parameter which is malloc when *unwind-exit* is bound and contains
    'frame and  alloca otherwise.  New macro bignum-expansion-storage.
    FIXME, ensure that IDECL does not need similar modification.
  * Cleanup a few compiler warnings in the compiler
  * Cleanup compiler warning in alloc.c
  * Eliminate unneeded transformatio of contniguous pages to other pages
    on save-system.
  * malloc -> gcl_gmp_alloc in recent setjmp frame protected bignum
    allocation
  * Add -Wa,--execstack if on an exec-shield enabled system, can be
    explicitly added otherwise by setting the CFLAGS variable before the
    configure step
  * Better execstack flag handling in configure
  * Allow for commas in CFLAGS in sed command writing *cc*
  * Preliminary gprof profiling support
  * Rework html documentation generation and installation, Closes:
    #221774
  * Remove parentheses from setf class-name info node in chap-7.texi

 -- Camm Maguire <camm@enhanced.com>  Tue, 30 Dec 2003 16:26:45 +0000

gcl (2.6.1-18) unstable; urgency=low

  * Portability patches to makefiles to support non-GNU grep (no -q),
    and non-bash sh, C_INCLUDE_PATH=...;export C_INCLUDE_PATH
  * copy the global *info* parameter in c1flet and c1labels to prevent
    accumulation of old data -- FIXME -- make sure there are no other
    copies required, and eventually replace this global parameter with
    local variables
  * Turn on some optimization on hppa, -O only
  * Make all C defined functions installed into lisp static functions to
    work around dynamic function descriptors on ia64, Closes: #217484,
    Closes: #204789, (STATIC_FUNCTION_POINTERS define in config.h)

 -- Camm Maguire <camm@enhanced.com>  Thu,  6 Nov 2003 15:40:25 +0000

gcl (2.6.1-17) unstable; urgency=low

  * Repair weak symbol addition to the bfd symbol table in sfasli.c
  * Be more thorough about adding fun-info to call-local info in
    gcl_cmpflet.lsp, accompanying simplifications in gcl_cmpeval.lsp
    (call-global lists have info updated by args already in (c1args args
    info)), small changes in add-info in gcl_cmpinline.lsp, FIXME --
    study rational for *info* special variable in certain places as
    opposed to more common copy-info

 -- Camm Maguire <camm@enhanced.com>  Thu, 30 Oct 2003 20:03:22 -0500

gcl (2.6.1-16) unstable; urgency=low

  * Fix sh syntax in debian/gcl.sh
  * init_or_load1 -> gcl_init_or_load1 in xgcl-2/sysinit.lsp
  * Load weak symbols as well as undefined symbols in
    bfd_build_symbol_table, for the purposes of the static build
    possibility
  * Map t and nil stream indicators properly in optimized compiled
    references to read_char1 and read_byte1 (in read.d)

 -- Camm Maguire <camm@enhanced.com>  Thu, 23 Oct 2003 16:43:15 +0000

gcl (2.6.1-15) unstable; urgency=low

  * Remove imod/ifloor functions in cmpaux.c and directly inline their
    fixed equivalents in gcl_cmpopt.lsp

 -- Camm Maguire <camm@enhanced.com>  Mon, 13 Oct 2003 15:04:24 +0000

gcl (2.6.1-14) unstable; urgency=low

  * generate less garbage in add-info (gcl_cmpinline.lsp), enabling
    maxima compile to complete in a finite time :-)

 -- Camm Maguire <camm@enhanced.com>  Fri, 10 Oct 2003 22:14:04 +0000

gcl (2.6.1-13) unstable; urgency=low

  * Fix compiler optimization bug in gcl_cmpopt.lsp -- missing parens
    around inliner for max and min
  * collect info structures for local functions in flet and labels
    processing (gcl_cmpflet.lsp), and pass upwards to call-local and
    call-global (gcl_cmpeval.lsp) to fix certain inlining bugs in via
    more proper operation of args-info-changed-vars (gcl_cmpinline.lsp,
    inline-args, gcl_cmplet.lsp, c2let)
  * Fix an obviou int overflow in ifloor (o/cmpaux.c), handle more
    proper fixnum/integer determination from declarations later

 -- Camm Maguire <camm@enhanced.com>  Fri, 10 Oct 2003 02:34:11 +0000

gcl (2.6.1-12) unstable; urgency=low

  * Restore mpz_to_mpz{1} in gmp_big.c, can be written by compiler
  * tk8.4 patches
  * Prevent destructive modification of bignum arguments in log_op/mp_op
    in gmp_big.c
  * Make sure to push stack variables onto newly allocated C variable
    when inlining args and args cause side effects, in inline-args,
    gcl_cmpinline.lsp
  * Fix bug related to gcc-3.3 fixes in set_exponent in num_co.c
  * Remove pcl_methods.c patch. as is apparently no longer needed, TODO
    -- make sure VOL modifier is inserted where needed to prevent
    longjmp clobbers

 -- Camm Maguire <camm@enhanced.com>  Thu,  2 Oct 2003 14:26:43 +0000

gcl (2.6.1-11) unstable; urgency=low

  * Add compilation step of compiling all lsp and cmpnew .lsp files from
    an interpreted only saved_pre_gcl before the creation of saved_gcl -
    - this enables us to use full optimization on these files while
    getting the STREF constants right on 32bit and 64bit
  * remove 'attic' from comment in gcl_loop.lsp
  * configure changes for sizeof(struct contblock) detection

 -- Camm Maguire <camm@enhanced.com>  Wed, 24 Sep 2003 16:09:44 +0000

gcl (2.6.1-10) unstable; urgency=low

  * Mac OSX GET_FULL_PATH_SELF
  * Preliminary subtypep checking for 'satisfies
  * preliminary 'satisfies support in subtypep, more predicate type
    pairs and reverse checking
  * small compiler change to remove unused C variables from optimized
    compiled macros
  * Optional compiler init file is called gcl_cmpinit
  * fasdmacros.lsp -> gcl_fasdmacros.lsp
  * All cmpinit.lsp files named gcl_cmpinit.lsp; allow full lisp
    optimization in all directories
  * collectfn -> gcl_collectfn in lsp/gcl_auto.lsp
  * collectfn -> gcl_collectfn in cmpnew/gcl_make-fn.lsp
  * Make sure makefiles can generate sys-proclaim.lsp, regenerate these
    files and recompile from lsp
  * Rebuild with opts enabled
  * Iterate sys-proclaim/rebuild generation once more
  * Iterate sys-proclaim/rebuild for pcl and clcs

 -- Camm Maguire <camm@enhanced.com>  Tue, 23 Sep 2003 19:33:27 +0000

gcl (2.6.1-9) unstable; urgency=low

  * Close streams in fasldlsym.c

 -- Camm Maguire <camm@enhanced.com>  Tue, 16 Sep 2003 14:57:20 +0000

gcl (2.6.1-8) unstable; urgency=low

  * Add processor flag variable to flags in configure.in
  * Autoadd full path to kcl_self to enable save-system when user moves
    executable and calls without script wrapper
  * Add special variables si::*collect-binary-modules* and si::*binary-
    modules* as a facility for discovering the list of fasloaded objects
    preceding a save-system is required for a subsequent compiler::link
  * Add collectfn.lsp to distro
  * Rename some files and init_ functions to eliminate namespace
    conflicts when building images with compiler::link
  * Enable compressed info reading
  * Make sure no opt flags are set when enable debug is specified
  * Use NIFlAGS to compile new_init with lower opts on ppc to work
    around gcc bug, restore full opts to other files

 -- Camm Maguire <camm@enhanced.com>  Sun, 14 Sep 2003 02:18:28 +0000

gcl (2.6.1-7) unstable; urgency=low

  * Fix permissions bug in temporary gzipped file handling
  * Propagate control changes correctly with package extension
  * Newer standards

 -- Camm Maguire <camm@enhanced.com>  Tue,  9 Sep 2003 17:06:56 +0000

gcl (2.6.1-6) unstable; urgency=low

  * Remove build-dependency on autoconf as a temporary work around to
    Debian autoconf's dependency bug on emacsen-common

 -- Camm Maguire <camm@enhanced.com>  Tue,  9 Sep 2003 15:29:06 +0000

gcl (2.6.1-5) unstable; urgency=low

  * Redefine temporary files in elisp/makefile

 -- Camm Maguire <camm@enhanced.com>  Mon,  8 Sep 2003 21:49:09 +0000

gcl (2.6.1-4) unstable; urgency=low

  * Fix to sfasli.c to avoid defining symbols in other than *UND*
    sections
  * Remove some 64 bit warnings
  * Turn off def_static on ia64 for now -- its broken

 -- Camm Maguire <camm@enhanced.com>  Sat,  6 Sep 2003 17:22:10 +0000

gcl (2.6.1-3) unstable; urgency=low

  * Fix static detection fr ia64; contblock size detection on arm
  * Fix gcc verion checking in gmp3 subconfigure, esp. for arm
  * Escape all sgc code with #ifdef SGC

 -- Camm Maguire <camm@enhanced.com>  Fri,  5 Sep 2003 21:32:47 +0000

gcl (2.6.1-2) unstable; urgency=low

  * Add windows/install.lsp to clean target
  * Add in macosx files to stable and cvs head
  * Fix bad debelper postinst, Closes: #208765

 -- Camm Maguire <camm@enhanced.com>  Fri,  5 Sep 2003 13:15:11 +0000

gcl (2.6.1-1) unstable; urgency=low

  * New upstream release
  * Type-punning warning fixes
  * small_fixnum overflow fixes
  * off by one fix in cerror
  * Fix compiler error which had not recognized defpackage as a package
    operation
  * Fix tkl.lisp call to open-named-socket
  * Make values-list and nreconc signal errors when they should on
    dotted lists.
  * Avoid use of windows.h types as macros.
  * New config.{sub,guess}
  * Windows installer updates from CVS HEAD
  * fix potential longjmp clobber in read.d;add some windows files to
    main makefile clean target;
  * Darwin revealed fixes to usig.c and unixtime.c
  * Fix gbc time calculation in case of recursive gbc calls
  * Run patch_sharp in LSharp_exclamation_reader to handle new case of
    defpackage ops at head of fasl vector, required for maxima build
  * Special symbol Dotnil has ordinary list Cnil for plist and hpack
  * Small fixes for profiling support
  * Restore pp() function for debugging; print out undefined symbol
    names
  * Small patch for fix xgcl demo (thanks  Michael Koehne)
  * Better bfd symbol table strategy
  * Fix bfd table symbol counting for combined_table profiling
  * amd64 linux support
  * O6 -> O3
  * static linking on ia64 to work around current mechanism for runtime
    generated function descriptors
  * enable-static configure option
  * Fix debian/gcl-doc.docs for latest texinfo file splitting policy,
    Closes: #206017
  * Fix typo in o/sfasli.c
  * Rework debian package structure to handle stable and cvs packages
    simultaneously
  * Add gazonk*.lsp to clean target
  * syntax fix to lsp/gprof.hc
  * Add support for SGC contblock pages
  * Fixes to debian/rules
  * Remove unused definitions of Vcs
  * Increase default maxpages and stack sizes
  * Maintain a persisten *system-directory* binding
  * Push installed /h directory onto -I flags on cc command line
  * Escape old in-package behavior with #ifdef ANSI_COMMON_LISP
  * define HAVE_XDR in linux.h
  * reduce resolution of contblock mark_table in gbc.c to match new
    minimum granularity introduced via CPTR_ALIGN
  * Remove exit function in main.c

 -- Camm Maguire <camm@enhanced.com>  Thu,  4 Sep 2003 02:20:52 +0000

gcl (2.5.3-2) unstable; urgency=low

  * gcc-3.3 all platforms

 -- Camm Maguire <camm@enhanced.com>  Mon,  7 Jul 2003 16:10:25 +0000

gcl (2.5.3-1) unstable; urgency=low

  * New upstream release
  * Restore object_to_float and object_to_double, cmpaux.c, Closes: #195470.
  * Remove obsolete functiion multiply-bignum-stack from documentation,
    si-defs.texi
  * Unstatic object_to_float, object_to_double

 -- Camm Maguire <camm@enhanced.com>  Mon,  2 Jun 2003 12:38:03 -0400

gcl (2.5.2-1) unstable; urgency=low

  * New upstream release
  * Cleanup xdrfuns.c for Axiom
  * Reenable xgcl build

 -- Camm Maguire <camm@enhanced.com>  Thu, 20 Mar 2003 09:15:54 -0500

gcl (2.5.1-1) unstable; urgency=high

  * some optimization now on hppa
  * Add RELEASE-2.5.1 file
  * Add dedication notice to the memory of W. Schelter

 -- Camm Maguire <camm@enhanced.com>  Sun,  2 Mar 2003 10:20:26 -0500

gcl (2.5.0.cvs20020625-80) unstable; urgency=low

  * enable japi configure flag, defaults to no
  * enable -mlongcall on ppc when using gcc 3.3 or higher
  * int -> fixnum in DEFUN function arguments for safety -- ensures
    pointers and integers passed by lisp are of same size
  * MYmake_fixnum macro simplification
  * ufixnum typedef
  * Prototypes for cmod et.al. -- restoring maxima build on ia64
  * Fix unaligned access message on ia64 generated by DFLT_aet_fix
  * Integer va_arg uses fixnum
  * Define __*i3 symbols used by GCL, supplied by libc, and written into
    some GCL compiled objects, restores ARM build with ANSI image
  * num_log.c miscompilation on ia64 apparently fixed, Closes: #156291
  * Ensure cmpinclude.h up to date in main makefile

 -- Camm Maguire <camm@enhanced.com>  Sat,  1 Mar 2003 17:33:29 -0500

gcl (2.5.0.cvs20020625-79) unstable; urgency=low

  * Fix Debian package install bug

 -- Camm Maguire <camm@enhanced.com>  Thu, 27 Feb 2003 23:17:55 -0500

gcl (2.5.0.cvs20020625-78) unstable; urgency=low

  * Add config.log config.status and config.cache to clean target
  * Remove xgcl-2/debian directory
  * Update clcs/sys-proclaim.lisp

 -- Camm Maguire <camm@enhanced.com>  Thu, 27 Feb 2003 18:48:38 -0500

gcl (2.5.0.cvs20020625-77) unstable; urgency=low

  * Lintian cleanups
  * Don't strip libansi_gcl.a, need .data at end of .o, as with libgcl.a
  * Take newlines out of doc string for init-cmp-anon
  * Cleanup gcc-3.2 compiler warning
  * 64 bit STREF fixes
  * pcl and clcs need to have C rebuilt afresh, as 64 bit machines write
    different STREF offsets into the C files
  * Rework Debian package build a bit
  * README.Debian explaining the toggling of the ANSI image
  * Typo in debian/rules
  * Remove debian/gcl.conffiles

 -- Camm Maguire <camm@enhanced.com>  Thu, 27 Feb 2003 15:56:11 -0500

gcl (2.5.0.cvs20020625-76) unstable; urgency=low

  * Debian Priority is optional
  * Configure lowest common denominator on m68k to m68020 -- gcc-3.2
    can't handle m68000 -- no __mulsi3
  * Fix bit array bug
  * Add upgraded-array-element-type
  * Misc typep and subtypep fixes
  * Proper error handling in certain array.c functions
  * First needs exactly one arg
  * Proper error handlin in LAST
  * bit array allocation fixes in num_log.c
  * eliminate Iapply_fun_n1
  * Dummy system find-class in traditional image, overwritten by pcl
    version in ANSI
  * Invalid variable is a program error, not a symbol is a type error
  * Attempt at uninterned symbol support as slot names
  * defstruct changes for ANSI conc-name handling
  * Rework ansi build to follow existing pattern for traditional image,
    enabling preliminary ansi support on dlopen systems
  * Fix broken mingw probe in main makefile
  * Rename pcl and clcs files to avoid init name conflict on dlopen
    systems
  * sys-proclaim for clcs
  * Compiler goto indentation
  * Compiler pointer cast in call_or_link_closure
  * *keep-gaz* compiler variable to save anonymously generated lisp
  * si::init-cmp-anon function to initialize anonymously generated and
    compiled lisp from .text section of running executable
  * Debian/rules builds and ships both images
  * Check for small fixnum in make_fixnum macro
  * Pass real integers to array functions to minimize fixnum garbage
  * Larger SHARP_EQ_CONTEXT_SIZE in read.d
  * Shadowing-import instead of import dummy symbols into common-lisp in
    ansi_cl.lisp
  * Rework object definition in makefiles
  * Remove old gmp directory
  * Remove old tests directory
  * Reinsert JAPI configuration
  * Spruce up clean target
  * Use saved_gcl to recompile cmpnew files
  * Toggle ansi image with GCL_ANSI environment variable
  * Version 2.5.1

 -- Camm Maguire <camm@enhanced.com>  Wed, 26 Feb 2003 21:31:04 -0500

gcl (2.5.0.cvs20020625-75) unstable; urgency=low

  * Export truename for dlopen systems

 -- Camm Maguire <camm@enhanced.com>  Fri, 14 Feb 2003 23:31:15 -0500

gcl (2.5.0.cvs20020625-74) unstable; urgency=low

  * Remove duplicates in apropos a la clisp
  * Use static where possible, remove unused functions, decrease global
    symbol count by about 1/3 (~ 600 global functions)
  * Inline optimize cmod,cplus,ctimes and cdifference like maxima
  * eliminate make-pure-array from lfun_list.lsp, not defined
  * Prototypes for all possible compiler generated function calls
  * relative symlink for cmpinclude.h in Debian package

 -- Camm Maguire <camm@enhanced.com>  Fri, 14 Feb 2003 20:17:31 -0500

gcl (2.5.0.cvs20020625-73) unstable; urgency=low

  * typep fixes for class types
  * m68k Build-depend on gcc-2.95 as a temporary work around to bug
    179807
  * gcc-3.2 warning cleanups
  * bfd_boolean syntax support for newer binutils
  * gcc-3.2 on powerpc can't yet handle -O2 and higher
  * Reenable gcc-3.2 for m68k and do some guesswork in configure

 -- Camm Maguire <camm@enhanced.com>  Mon, 10 Feb 2003 13:47:00 -0500

gcl (2.5.0.cvs20020625-72) unstable; urgency=high

  * Fix to siLbit_array_op for 0 dimension arrays
  * Fixed aref of short-float vector
  * nconc can take dotted lists
  * tailp returns t if first arg is nil
  * Repair nconc and tailp fixes
  * varargs->stdarg for gcc 3.3 and higher

 -- Camm Maguire <camm@enhanced.com>  Sun,  9 Feb 2003 16:57:33 -0500

gcl (2.5.0.cvs20020625-71) unstable; urgency=high

  * ansi changes to sloop.lsp and conditions.lisp to fix symbol tests
  * :definition-before-pcl -> definition-before-pcl
  * Allow spaces in pathnames
  * Significant fixes to gmp_num_log.c affecting bitwise ops on bignums
  * Fix test segfault arising from faulty structure-type-included-type-
    name in gcl-low.lisp ; Thanks Peter
  * aref1 -> row-major-aref
  * Fixes to certain numerical functions to handle denormalized floating
    point numbers
  * Number of argument check in IapplyVector
  * Print offset bit vectors correctly
  * Correct precision for formatting short and long doubles
  * Added si::modf
  * Do not trigger error in IapplyVector if max args is zero
  * Fixes to with-package-iterator to cleanup compiler warnings
  * :invalid-variable is a type error
  * No max arg checking if &key or &rest present
  * proper defun declarations in listlib.lsp
  * class specifiers in typep, subtypep and coerce
  * Corrections to allow-other-key processing in bind.c
  * eval sfuns with argument error checking (in one place)
  * copy-structure takes only one arg
  * si::classp, si::class-of, and si::class-precedence-list overwritten
    by pcl analogs when compiling ansi
  * recompiled core lsp and compiler files
  * restore dvi and html doc build for non-mingw

 -- Camm Maguire <camm@enhanced.com>  Fri, 24 Jan 2003 13:55:11 -0500

gcl (2.5.0.cvs20020625-70) unstable; urgency=high

  * loop fixes
  * configure fixes
  * :common-lisp in *features*
  * :definition-before-clcs -> definition-before-clcs
  * protect against sgc segfault within fread in fasdump.c -- fixes m68k
    acl2 build
  * SGC for s390

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Dec 2002 08:02:17 -0500

gcl (2.5.0.cvs20020625-69) unstable; urgency=high

  * eval fix
  * \-mlong-calls for arm

 -- Camm Maguire <camm@enhanced.com>  Mon, 25 Nov 2002 08:35:27 -0500

gcl (2.5.0.cvs20020625-68) unstable; urgency=high

  * enable emacsdir configure option
  * reordered configure X lib detection for solaris
  * redo integer declarations for gmp bignums to avoid compiler warnings
  * Clear large and negative count errors for remove/delete
  * Loop error fixes
  * cache flush with page granularity on m68k

 -- Camm Maguire <camm@enhanced.com>  Thu, 21 Nov 2002 17:44:30 -0500

gcl (2.5.0.cvs20020625-67) unstable; urgency=high

  * Align cache flushes for powerpc and m68k on 32 byte boundaries,
    should fix acl2 build
  * Removed diagnostic SIGILL trapping in cmpaux.c

 -- Camm Maguire <camm@enhanced.com>  Tue, 12 Nov 2002 23:25:49 -0500

gcl (2.5.0.cvs20020625-66) unstable; urgency=high

  * Fix SIGILL trap in cmpaux.c

 -- Camm Maguire <camm@enhanced.com>  Mon, 11 Nov 2002 11:14:07 -0500

gcl (2.5.0.cvs20020625-65) unstable; urgency=high

  * Miscellaneous Freebsd patches
  * non-recursive with-package-iterator
  * map-into fill-pointer fixes
  * changes to the user-init mechanism for portable acl2 build

 -- Camm Maguire <camm@enhanced.com>  Sun, 10 Nov 2002 12:33:59 -0500

gcl (2.5.0.cvs20020625-64) unstable; urgency=low

  * Fix epsilon calculations again to reenable arm build

 -- Camm Maguire <camm@enhanced.com>  Fri,  1 Nov 2002 07:08:33 -0500

gcl (2.5.0.cvs20020625-63) unstable; urgency=low

  * Add versioned dependency on the gcc used to build gcl

 -- Camm Maguire <camm@enhanced.com>  Tue, 29 Oct 2002 16:20:22 -0500

gcl (2.5.0.cvs20020625-62) unstable; urgency=low

  * with-package-iterator modifications
  * with-package-iterator uses labels to correctly provide for recursion
  * Fix doc directory problem with install target in info/makefile
  * Fix info dir setting in configure
  * Priority extra

 -- Camm Maguire <camm@enhanced.com>  Mon, 28 Oct 2002 23:45:07 -0500

gcl (2.5.0.cvs20020625-61) unstable; urgency=low

  * Placeholder support for optional condition in find-restart
  * defpackage error on importing non-existent symbols
  * working with-package-iterator macro
  * various package errors reported as :package-error
  * Destructuring-bind fixes
  * delete-package error fix
  * pcl functions use pcl-destructuring-bind for now -- fix later
  * Trigger error if function calls use too many 'values'
  * Maximum values increased to 50
  * Enable previously failing tests in multiple-value-{setq,prog1}.lsp
  * prototype for system_time_zone_helper
  * Initial changes for solaris support
  * make -> $(MAKE) in makefiles
  * Incorporated main GCL (ANSI) Lisp Documentation in distribution

 -- Camm Maguire <camm@m.enhanced.com>  Mon, 28 Oct 2002 04:31:33 -0500

gcl (2.5.0.cvs20020625-60) unstable; urgency=low

  * Still better acosh, courtesy of Barton Willis
  * Better epsilon contant determination in ieee case
  * Implicit tagbody in do-symbols and do-all-symbols
  * Better epsilon handling in ieee case
  * Add setf (values ... support
  * invalid-function errors are type errors
  * ecase and ccase take t and otherwise clauses
  * ECASE/CCASE test fixes
  * setf values fixes to use setf instead of setq when target value is
    not a symbol
  * ETYPECASE/CTYPECASE can take t and otherwise
  * Backout of restart-clusters export
  * fix handler.lisp
  * Fix to bfd/GBC interaction

 -- Camm Maguire <camm@m.enhanced.com>  Wed, 23 Oct 2002 08:38:08 -0400

gcl (2.5.0.cvs20020625-59) unstable; urgency=low

  * wrong number of arguments, keyword errors in lambda list bindings,
    are program errors
  * acosh fix at -1.0
  * New config.sub and config.guess files and automatic updates in
    binutils, gmp, and gmp3 subdirs

 -- Camm Maguire <camm@m.enhanced.com>  Wed, 16 Oct 2002 11:38:56 -0400

gcl (2.5.0.cvs20020625-58) unstable; urgency=low

  * GENSYM fixes
  * add complement and constantly
  * import certain symbols into common-lisp package
  * Fix makefile bug in install target
  * Prepend instead of overwrite C_INCLUDE_PATH in shell wrapper
  * More shell variable fixes in main makefile
  * Corrected order of push and pushnew
  * Set bfd_error appropriately
  * Report function for package-error in condition-definitions.lisp;fix
    internal-package-error deinition and handling;export *restart-
    clusters* to user error code specified in handler-case;package-error
    error formatting changes;dummy optional argument added to compute-
    restarts (for now);Paul Dietz patch to defpackage.lsp fixing several
    tests (thanks);export/unexport error handling fixes
  * Recompile c,h and data files
  * Fix number of argument errors in debug.lsp;documentation support for
    packages in defpackage.lsp and module.lsp;do-symbols loops over
    inherited symbols too in packlib.lsp
  * Reworked EXTRAS variable handling in unixport/makefile
  * Build-depend on autotools-dev and automatic update of config.sub and
    config.guess;newer config.sub and config.guess in cvs tree; Closes:
    #164526
  * Remove stray comments in package.d
  * elt errors of type type error
  * bad-sequence limit returns type error

 -- Camm Maguire <camm@m.enhanced.com>  Tue, 15 Oct 2002 15:39:19 -0400

gcl (2.5.0.cvs20020625-57) unstable; urgency=low

  * Capitalization changes to names of special characters;graphic-char-p
    fix
  * fix shadowing of existing symbols in package.d
  * (simple-)base-string not a subtype of (simple-)vector
  * add package-error condition(preliminary);hash conditions only by the
    error name, not the format string;pass error types for both
    correctable and non-correctable situations;eliminate duplicate
    loading of clcs/package.lisp;Allow t doc-types in documentation
    (returning nil) for now;fix final type errors in predlib.lsp
    (regarding base-string);other error functions to pass continuable
    errors (needs cleaning up);package designators can be
    characters;delete-package added;make-package doesn't :use lisp by
    default;in-package returns error if package does not exist instead
    of making the package(relatively big change -- need to address
    instances of in-package in .lsp code);call make-package on relevant
    packages in init_gcl.lsp.in and pcl/sys-package.lisp;
  * \-ffunction-sections for hppa with no-optimization -- enables first
    maxima build here
  * separate lisp variables to specify optimization flags for level 2
    and 3
  * symbol-name throws a type error on bad input
  * tk8.2 -> tk8.3
  * Fix bug in main makefile
  * Newlines at end of test files

 -- Camm Maguire <camm@m.enhanced.com>  Wed,  9 Oct 2002 15:04:41 -0400

gcl (2.5.0.cvs20020625-56) unstable; urgency=high

  * ansi-test corrections; extra-libs option to LINK function; LINK doc
    change; subtypep and string changes to pass more tests
  * Add method-combination and structure-object symbols for ansi;remove
    unused variables in debug.lsp;remove in-package system from
    defstruct.lsp;make-keyword and defmacro temporary function
    placeholders in destructuring_bind.lsp;predlib changes to fix ansi-
    test type errors;break-call takes 2 args (sys-proclaim.lisp);char
    and char-set protected by string dimension not fillpointer in
    string.d;fix bug in string.d:member_char for vector types;redefine
    slot reader and writer functions in pcl/impl/gcl/gcl-low.lisp

 -- Camm Maguire <camm@enhanced.com>  Sat,  5 Oct 2002 14:33:46 -0400

gcl (2.5.0.cvs20020625-55) unstable; urgency=high

  * Add LINK documentation to info pages
  * 0 length last support
  * make-sequence error check for 'null type and non-zero size
  * Dotted-list support in member
  * Reworked dotnil definitions and support macros
  * add compile-file-pathname
  * setup C_INCLUDE_PATH env variable in gcl shell wrapper
  * POSITIVE-FIXNUM variable type,simple-error->type error where
    indicated by various ansi tests, eq->eql in ldiff and tailp;proper
    lists only in member et. al.
  * rev keyword for member1 to reverse test arguments
  * specific-error function to pass a given type of error from lisp
  * set-exclusive-or preserves order of test arguments
  * type-errors where appropriate in make-sequence
  * nil keys accepted in remove/delete et.al.
  * Reworked linking command line to ensure that certain symbols are
    resolved in libgcl.a as opposed to certain system libraries, e.g.
    gmp
  * new gmp for m68k;no -ffloat-store for m68k a requested by user due
    to performance impact (will alter test results in maxima
    accordingly)
  * libgclp.a for objects to be overriden by the C library if necessary
  * readably support
  * boolean type
  * Missing ansi type support
  * subtype code for boolean
  * add missing ansi types as known types
  * other preliminary subtype code for missing ansi types
  * rework result-type check in make-sequence
  * :element-type support in make-string (preliminary)
  * (char ignores fill-pointer
  * remove -O4 from debian/rules

 -- Camm Maguire <camm@enhanced.com>  Thu,  3 Oct 2002 01:52:45 -0400

gcl (2.5.0.cvs20020625-54) unstable; urgency=high

  * Fix delete et. al. :from-end error; typo in gbc.c
  * character and string-char equal in type hierarchy
  * concatenate/make-sequence fixes
  * merge takes nil key argument
  * make-sequence checks size against result type
  * install endp macro for dotted list support

 -- Camm Maguire <camm@enhanced.com>  Tue, 24 Sep 2002 14:57:44 -0400

gcl (2.5.0.cvs20020625-53) unstable; urgency=high

  * Sleep with (in principle) microsecond precision
  * nth-value macro added
  * \-ffloat\-store and warning cleanups for m68k
  * Compile hppa with debugging, will get a build but a broken one, ok
    for now, Closes: #159591

 -- Camm Maguire <camm@enhanced.com>  Fri, 20 Sep 2002 09:48:35 -0400

gcl (2.5.0.cvs20020625-52) unstable; urgency=high

  * Fixed gcc version bug in debian/rules

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Sep 2002 18:00:50 -0400

gcl (2.5.0.cvs20020625-51) unstable; urgency=high

  * static gmp for m68k

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Sep 2002 09:33:03 -0400

gcl (2.5.0.cvs20020625-50) unstable; urgency=high

  * Reworked static gmp target for new libgcl.a;gcc-3.2 for
    hppa,ia64,and arm;libgmp2-dev for m68k;no rsym with
    dynsysbfd;build_symbol_table earlier to shrink table size;

 -- Camm Maguire <camm@enhanced.com>  Thu, 12 Sep 2002 00:39:17 -0400

gcl (2.5.0.cvs20020625-49) unstable; urgency=high

  * Use old gmp for m68k until can pin down test failure with gmp3

 -- Camm Maguire <camm@enhanced.com>  Tue, 10 Sep 2002 00:36:10 -0400

gcl (2.5.0.cvs20020625-48) unstable; urgency=high

  * Rework build and install so that custom images can be made without
    the source tree, even when using dlopen

 -- Camm Maguire <camm@enhanced.com>  Mon,  9 Sep 2002 23:26:47 -0400

gcl (2.5.0.cvs20020625-47) unstable; urgency=high

  * Install cmpinclude.h in system include directory

 -- Camm Maguire <camm@enhanced.com>  Thu, 29 Aug 2002 23:31:55 -0400

gcl (2.5.0.cvs20020625-46) unstable; urgency=high

  * Keep a *much* smaller piece of gmp.h in cmpinclude.h, reducing image
    size by almost 100k
  * Check for _SHORT_LIMB and _LONG_LONG_LIMB in configure
  * Remove build specific include directories from compile command in
    final executable
  * Include local regexp.h explicitly in cmpinclude.h, to eliminate
    intereference with system regexp.h, and to fix bug in which gcl
    compilation depended on existing build directories
  * Correctly add directory paths to extra gmp file targets in
    unixport/makefile for m68k

 -- Camm Maguire <camm@enhanced.com>  Thu, 29 Aug 2002 21:56:28 -0400

gcl (2.5.0.cvs20020625-45) unstable; urgency=high

  * Fix typo in rshift target for m68k

 -- Camm Maguire <camm@enhanced.com>  Wed, 28 Aug 2002 18:02:00 -0400

gcl (2.5.0.cvs20020625-44) unstable; urgency=high

  * Handle second argument to last; treat dotted lists correctly in
    ldiff et. al., tailp fix
  * optional key argument for assoc-if et.al.;eval getf deflt if in setf
  * Fix infinite loop in assoc-if et.al.
  * X_LIBS and X_CFLAGS determination in configure script

 -- Camm Maguire <camm@enhanced.com>  Wed, 21 Aug 2002 18:22:37 -0400

gcl (2.5.0.cvs20020625-43) unstable; urgency=high

  * Larger ihs stack;fix array-total-size-limit;check negative
    fillp;allow #P
  * don't make common_lisp package when not configuring with --enable-
    ansi
  * Patch gmp3/mpn/m68k/{l,r}shift.asm, restore gmp3 to m68k build
  * Dynamic libgmp support, overriding with patched functions from local
    source where necessary

 -- Camm Maguire <camm@enhanced.com>  Sun, 18 Aug 2002 12:10:55 -0400

gcl (2.5.0.cvs20020625-42) unstable; urgency=high

  * copy ansidecl.h and symcat.h in h/ for local bfd builds
  * localize bfd.h includes to sfaslbfd.c
  * take bfd/po out of the build loop
  * import xgcl-2, but don't build by default
  * oldgmp configure option, and made default for m68k as temporary
    workaround

 -- Camm Maguire <camm@enhanced.com>  Mon, 12 Aug 2002 23:49:09 -0400

gcl (2.5.0.cvs20020625-41) unstable; urgency=high

  * Minor rules revision for i164

 -- Camm Maguire <camm@enhanced.com>  Sun, 11 Aug 2002 13:49:03 -0400

gcl (2.5.0.cvs20020625-40) unstable; urgency=high

  * revamp CONST configure test for certain bfd versions

 -- Camm Maguire <camm@enhanced.com>  Sun, 11 Aug 2002 12:31:35 -0400

gcl (2.5.0.cvs20020625-39) unstable; urgency=high

  * gcc-3.1 for ia64 fixes a compilation bug in num_co.c for -O3 and
    higher -- code takes address of a variable kept in a register
  * compile num_log.c with -O only on ia64 to work around compiler bug

 -- Camm Maguire <camm@enhanced.com>  Sun, 11 Aug 2002 08:53:03 -0400

gcl (2.5.0.cvs20020625-38) unstable; urgency=high

  * check for long c statck addresses, fixing NULL_OR_ON_C_STACK macro
    for ia64
  * Remove error in clean target

 -- Camm Maguire <camm@enhanced.com>  Sat, 10 Aug 2002 13:20:08 -0400

gcl (2.5.0.cvs20020625-37) unstable; urgency=high

  * Replace tmpnam and mktemp with less dangerous mkstemp

 -- Camm Maguire <camm@enhanced.com>  Fri,  9 Aug 2002 19:45:52 -0400

gcl (2.5.0.cvs20020625-36) unstable; urgency=high

  * Fix rsym compilation when not using bfd

 -- Camm Maguire <camm@enhanced.com>  Fri,  9 Aug 2002 19:10:16 -0400

gcl (2.5.0.cvs20020625-35) unstable; urgency=high

  * Don't build bfd/po subdir
  * Build-depend on automake and gettext

 -- Camm Maguire <camm@enhanced.com>  Fri,  9 Aug 2002 14:36:58 -0400

gcl (2.5.0.cvs20020625-34) unstable; urgency=high

  * fix zero length array support
  * reverse configure order for bfd and libiberty

 -- Camm Maguire <camm@enhanced.com>  Fri,  9 Aug 2002 11:52:38 -0400

gcl (2.5.0.cvs20020625-33) unstable; urgency=high

  * chmod +x for subconfigures
  * dlopen for appropriate arches in debian/rules
  * add custreloc configure option

 -- Camm Maguire <camm@enhanced.com>  Fri,  9 Aug 2002 10:16:55 -0400

gcl (2.5.0.cvs20020625-32) unstable; urgency=high

  * Local bfd build option to prepare for arch-specific patches
  * Try default gmp3 build on m68k
  * Fix merge-pathnames

 -- Camm Maguire <camm@enhanced.com>  Fri,  9 Aug 2002 00:13:16 -0400

gcl (2.5.0.cvs20020625-31) unstable; urgency=high

  * #undef bool in object.h for some gcc-3.1 installations
  * New number_tan implementation using real tan, so optimized compiled
    code will find symbol in -lm

 -- Camm Maguire <camm@enhanced.com>  Tue,  6 Aug 2002 18:37:52 -0400

gcl (2.5.0.cvs20020625-30) unstable; urgency=high

  * fix bug in cmpif.lsp and recompile compiler
  * \-O6 \-fomit\-frame\-pointer for Linux, speed gain of ~ 10%
  * clean saved_gcl_pcl

 -- Camm Maguire <camm@enhanced.com>  Mon,  5 Aug 2002 16:34:33 -0400

gcl (2.5.0.cvs20020625-29) unstable; urgency=high

  * Back out of hppa assembler register flush for hppa, apparently issue
    is cleared by long/object function declaration fix
  * Remove ansi2knr.1 man page, Closes: #155067
  * hppa still has gc leak, possibly due to faulty setjmp.  Try Lamont
    Jones' latest assembler to flush regs

 -- Camm Maguire <camm@enhanced.com>  Fri,  2 Aug 2002 20:50:21 -0400

gcl (2.5.0.cvs20020625-28) unstable; urgency=high

  * SGC support for alpha
  * generic gmp3 build for m68k
  * compiler changes to declare all functions as returning object, with
    functions that actually return long being cast appropriately
  * back out of m68k hack in eval.c and funlink.c

 -- Camm Maguire <camm@enhanced.com>  Fri,  2 Aug 2002 18:22:04 -0400

gcl (2.5.0.cvs20020625-27) unstable; urgency=high

  * Use generic lshift.c in gmp3 for m68k
  * use SGC for ia64
  * m68k workaround, cast (object(*)()) to (long(*)()) in funlink.c and
    eval.c
  * GBC register spiil asm for hppa
  * fix hash_equal declaration error in hash.d

 -- Camm Maguire <camm@enhanced.com>  Thu,  1 Aug 2002 18:12:49 -0400

gcl (2.5.0.cvs20020625-26) unstable; urgency=high

  * Remove extra load of tkl.o in install target of main makefile
  * gcc-3.1 for hppa
  * Remove gcc version spec for m68k
  * \-fPIC for hppa, needed for dlopen
  * cleanup gcc 3.1 warning in funlink.c
  * cc instead of ld for -shared linking in fasldlsym.c (needed for
    hppa)

 -- Camm Maguire <camm@enhanced.com>  Wed, 31 Jul 2002 18:46:54 -0400

gcl (2.5.0.cvs20020625-25) unstable; urgency=high

  * Move chmod +x gmp3/* into debian/rules
  * Remove gclm.bat from Debian package
  * Build-Depend on autoconf, Closes: #154909

 -- Camm Maguire <camm@enhanced.com>  Wed, 31 Jul 2002 09:44:20 -0400

gcl (2.5.0.cvs20020625-24) unstable; urgency=high

  * chmod +x gmp3/configure

 -- Camm Maguire <camm@enhanced.com>  Wed, 31 Jul 2002 07:55:17 -0400

gcl (2.5.0.cvs20020625-23) unstable; urgency=high

  * 64bit SGC support
  * SGC on by default for sparc-linux and mips(el)-linux
  * Optimized logxor funtion
  * Check for MP_LIMB_SIZE in fasdump.c, for 64bit support
  * gbc fix for ia64
  * gmp3 import for ia64
  * system bzero, bcmp, and bcopy function prototypes

 -- Camm Maguire <camm@enhanced.com>  Tue, 30 Jul 2002 23:11:58 -0400

gcl (2.5.0.cvs20020625-22) unstable; urgency=high

  * ElfW macros in rsym*.c for 64bit
  * Allow for 8 byte gmp mp_limbs

 -- Camm Maguire <camm@enhanced.com>  Thu, 25 Jul 2002 18:52:37 -0400

gcl (2.5.0.cvs20020625-21) unstable; urgency=high

  * Support for dlopen object loading where bfd is not yet working --
    ./configure --enable-dlopen

 -- Camm Maguire <camm@enhanced.com>  Thu, 25 Jul 2002 15:08:05 -0400

gcl (2.5.0.cvs20020625-20) unstable; urgency=high

  * Cleanups for --disable-bfd option

 -- Camm Maguire <camm@enhanced.com>  Wed, 24 Jul 2002 15:05:28 -0400

gcl (2.5.0.cvs20020625-19) unstable; urgency=high

  * 64bit fixes

 -- Camm Maguire <camm@enhanced.com>  Wed, 24 Jul 2002 12:16:42 -0400

gcl (2.5.0.cvs20020625-18) unstable; urgency=high

  * misc. lintian cleanups, mostly for 64 bit

 -- Camm Maguire <camm@enhanced.com>  Tue, 23 Jul 2002 23:35:03 -0400

gcl (2.5.0.cvs20020625-17) unstable; urgency=high

  * Fixed typeo in error.c preventing arm compilation

 -- Camm Maguire <camm@enhanced.com>  Mon, 22 Jul 2002 17:18:18 -0400

gcl (2.5.0.cvs20020625-16) unstable; urgency=high

  * Fix bad on_stack_list_vector args

 -- Camm Maguire <camm@enhanced.com>  Mon, 22 Jul 2002 16:10:16 -0400

gcl (2.5.0.cvs20020625-15) unstable; urgency=high

  * More lint changes for sundry arches
  * Fixed bug in Iapply_ap

 -- Camm Maguire <camm@enhanced.com>  Sat, 20 Jul 2002 23:40:33 -0400

gcl (2.5.0.cvs20020625-14) unstable; urgency=high

  * include stdarg.h when defining _GNU_SOURCE

 -- Camm Maguire <camm@enhanced.com>  Sat, 20 Jul 2002 18:47:43 -0400

gcl (2.5.0.cvs20020625-13) unstable; urgency=high

  * Proper va_dcl declarations

 -- Camm Maguire <camm@enhanced.com>  Sat, 20 Jul 2002 10:40:02 -0400

gcl (2.5.0.cvs20020625-12) unstable; urgency=high

  * cvs updates for missing ptrdiff_t

 -- Camm Maguire <camm@enhanced.com>  Sat, 20 Jul 2002 08:41:37 -0400

gcl (2.5.0.cvs20020625-11) unstable; urgency=high

  * cvs changes to compile cleanly with -Wall

 -- Camm Maguire <camm@enhanced.com>  Sat, 20 Jul 2002 02:59:33 -0400

gcl (2.5.0.cvs20020625-10) unstable; urgency=high

  * Architecture any, though still have some issues

 -- Camm Maguire <camm@enhanced.com>  Fri, 12 Jul 2002 19:02:09 -0400

gcl (2.5.0.cvs20020625-9) unstable; urgency=high

  * cvs commits for 64bit support

 -- Camm Maguire <camm@enhanced.com>  Fri, 12 Jul 2002 18:01:21 -0400

gcl (2.5.0.cvs20020625-8) unstable; urgency=high

  * NULL_OR_ON_C_STACK macro correction for m68k

 -- Camm Maguire <camm@enhanced.com>  Fri, 12 Jul 2002 14:37:48 -0400

gcl (2.5.0.cvs20020625-7) unstable; urgency=high

  * arm is bigendian

 -- Camm Maguire <camm@enhanced.com>  Wed, 10 Jul 2002 18:04:22 -0400

gcl (2.5.0.cvs20020625-6) unstable; urgency=high

  * cvs updates for arm build

 -- Camm Maguire <camm@enhanced.com>  Tue,  9 Jul 2002 16:09:26 -0400

gcl (2.5.0.cvs20020625-5) unstable; urgency=high

  * CC environment variable setting in debian/rules to aid in porting
  * gcc 2.95 for m68k

 -- Camm Maguire <camm@enhanced.com>  Sat,  6 Jul 2002 23:00:23 -0400

gcl (2.5.0.cvs20020625-4) unstable; urgency=high

  * gcc 3.0 for arm
  * cachectl header for m68k

 -- Camm Maguire <camm@enhanced.com>  Mon,  1 Jul 2002 15:47:53 -0400

gcl (2.5.0.cvs20020625-3) unstable; urgency=high

  * Better libbfd detection for arm/alpha

 -- Camm Maguire <camm@enhanced.com>  Wed, 26 Jun 2002 17:27:21 -0400

gcl (2.5.0.cvs20020625-2) unstable; urgency=high

  * s390 support

 -- Camm Maguire <camm@enhanced.com>  Tue, 25 Jun 2002 21:25:35 -0400

gcl (2.5.0.cvs20020625-1) unstable; urgency=high

  * CVS updates, new s390 arch

 -- Camm Maguire <camm@enhanced.com>  Tue, 25 Jun 2002 19:26:36 -0400

gcl (2.5.0.cvs20020610-2) unstable; urgency=high

  * cvs updates

 -- Camm Maguire <camm@enhanced.com>  Thu, 13 Jun 2002 08:42:32 -0400

gcl (2.5.0.cvs20020610-1) unstable; urgency=high

  * cvs updates

 -- Camm Maguire <camm@enhanced.com>  Wed, 12 Jun 2002 23:04:57 -0400

gcl (2.5.0.cvs20020523-2) unstable; urgency=high

  * configure updates for better tk detection

 -- Camm Maguire <camm@enhanced.com>  Fri, 24 May 2002 18:50:22 -0400

gcl (2.5.0.cvs20020523-1) unstable; urgency=high

  * New upstream release

 -- Camm Maguire <camm@enhanced.com>  Fri, 24 May 2002 18:50:22 -0400

gcl (2.5.0.cvs20020429-1) unstable; urgency=high

  * Build-Depend on tk8.2-dev, Closes: #144330
  * New cvs updates
  * Added sparc to arch list, Closes: #143465

 -- Camm Maguire <camm@enhanced.com>  Mon, 29 Apr 2002 23:07:36 -0400

gcl (2.5.0.cvs20020219-2) unstable; urgency=medium

  * flavor ->debian-emacs-flavor in emacsen-startup

 -- Camm Maguire <camm@enhanced.com>  Mon,  4 Mar 2002 14:29:59 -0500

gcl (2.5.0.cvs20020219-1) unstable; urgency=medium

  * Updated package descriptions, Closes: #134402
  * Static linking of libbfd, Closes: #134647
  * Gcl currently only available on i386, arm and m68k as specified in
    the Architecture control field, Closes: #133912

 -- Camm Maguire <camm@enhanced.com>  Tue, 19 Feb 2002 12:04:29 -0500

gcl (2.5.0.cvs-3) unstable; urgency=medium

  * Build-depend on texi2html, Closes: #133699

 -- Camm Maguire <camm@enhanced.com>  Wed, 13 Feb 2002 16:22:35 -0500

gcl (2.5.0.cvs-2) unstable; urgency=medium

  * Put in versioned dependency on binutils for libbfd support, rebuilt
    with latest binutils, Closes: #133004

 -- Camm Maguire <camm@enhanced.com>  Tue, 12 Feb 2002 13:19:12 -0500

gcl (2.5.0.cvs-1) unstable; urgency=medium

  * Latest patches from CVS, enabling libbfd relocations, among other
    things
  * /etc/emacs/site-start.d/50gcl.el as conffile, Closes: #132137
  * limited arm and m68k support

 -- Camm Maguire <camm@enhanced.com>  Mon,  4 Feb 2002 09:32:29 -0500

gcl (2.5.0-1) unstable; urgency=medium

  * New maintainer
  * New upstream release
  * New release so far builds only on i386, Closes: #116070, Closes:
    #123371
  * New release so far builds only on i386, Closes: #115041
  * Gcl must currently use its own copy of gmp, as the upstream version
    of gmp uses malloc, which interferes with gcl's garbage collection
    and relocation scheme.  The change from malloc to alloca has been
    suggested to upstream gmp developers. Closes: #108910
  * Tcl/Tk support now in. Closes: #113197

 -- Camm Maguire <camm@enhanced.com>  Fri, 21 Dec 2001 00:03:43 -0500

gcl (2.4.0-3) unstable; urgency=medium

  * Make gcl use libgmp3 package. (closes: #108910)
  * Remove tk support. (closes: #108909)
  * Fix stupid missing dependency line. (closes: #108907, #108908)
  * Removed readme.mingw from the debian package, this package is not compiled under
    mingw (windows gcc port).
  * Close ITA bug. (closes: #112312)

 -- Baruch Even <baruch@debian.org>  Sat, 22 Sep 2001 00:27:14 +0300

gcl (2.4.0-2) unstable; urgency=low

  * Change tclsh Build-Depends to tcl8.0 because apt is broken. (closes: #99261)

 -- JP Sugarbroad <taral@taral.net>  Wed, 30 May 2001 14:34:53 -0500

gcl (2.4.0-1) unstable; urgency=low

  * New upstream release

 -- JP Sugarbroad <taral@taral.net>  Sun, 13 May 2001 20:31:01 -0500

gcl (2.3.7+beta3-3) unstable; urgency=low

  * Move gcl-doc to section doc (closes: #78666)

 -- JP Sugarbroad <taral@taral.net>  Sun, 13 May 2001 20:26:28 -0500

gcl (2.3.7+beta3-2) unstable; urgency=low

  * Remove alpha from arch list
  * Move tcl/tk from Depends to Suggests

 -- JP Sugarbroad <taral@taral.net>  Fri,  4 May 2001 16:24:11 -0500

gcl (2.3.7+beta3-1) unstable; urgency=low

  * New maintainer
  * Repackaged with debhelper (closes: #42045, #86097, #91475, #91478)
  * New upstream release (closes: #59577, #71096)
  * Added sparc+alpha, removed m68k (closes: #87407)

 -- JP Sugarbroad <taral@taral.net>  Mon, 30 Apr 2001 19:07:49 -0500

gcl (2.2.1-6) unstable; urgency=low

  * Disable stripping of "saved_gcl" binary. (#45778)

 -- Steve Dunham <dunham@debian.org>  Fri, 24 Sep 1999 14:39:15 -0400

gcl (2.2.1-5) unstable; urgency=low

  * Fix m68k build

 -- Steve Dunham <dunham@debian.org>  Tue,  6 Jul 1999 09:45:09 -0400

gcl (2.2.1-4) unstable; urgency=low

  * Fix bug #31718

 -- Steve Dunham <dunham@debian.org>  Fri,  2 Jul 1999 11:11:12 -0400

gcl (2.2.1-3) unstable; urgency=low

  * Add m68k patches

 -- Steve Dunham <dunham@debian.org>  Wed, 16 Dec 1998 14:25:46 -0500

gcl (2.2.1-2) unstable; urgency=low

  * Compile against libc6.  New maintainer.

 -- Steve Dunham <dunham@cps.msu.edu>  Wed,  5 Nov 1997 10:09:12 -0500

gcl (2.2.1-1) unstable; urgency=low

  * New upstream release; suggests tcl76, tk42.
  * gcl-doc contains gcl-si and gcl-tk info pages.
  * debian/rules: clean target removes temporary files from h and o
    subdirectories (bug #5984).

 -- Karl Sackett <krs@debian.org>  Fri, 3 Jan 1997 10:16:40 -0600

gcl (2.2-5) unstable; urgency=low

  * Converted package to 2.1.1.0 standard.
  * Stripped gcltkaux (bug #5074).
  * gcl-si and gcl-tk info pages converted to HTML.

 -- Karl Sackett <krs@debian.org>  Tue, 5 Nov 1996 13:30:30 -0600

2.2-4
        * add-defs: patched locates for tk.tcl, init.tcl 
        * gcl-tk/tkAppInit.c: patched for tk4.1 support
        * gcl-tk/tkMain.c: patched for tk4.1 support
2.2-3
        * Debian support files now partily architecture independent.
          There are, however, no add-defs files except for 386-linux.
        * Rebuilt package to correct corrupted upload problem.
2.2-2
        * Removed tk support from distribution.  This was written to
          use tk-3.6 and doesn't support tk-4.0 or tk-4.1.  I am not aware
          of any plans to upgrade the code. (Closes bug #2865)
2.2-1
        * Added Debian support files
        * h/386-linux.defs: set OFLAG = -O2
        * h/386-linux.h: undid patch that swaped signal.h for sigcontext.h
